<#include "/includes/version.ftl">
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width,initial-scale=1">
  <meta name="ProfitTrailer" content="The one and only ProfitTrailer Monitor">
  <meta name="Elroy" content="Creator and God of ProfitTrailer">
  <meta name="dj_crypto" content="Designer and lover of ProfitTrailer">
  <meta name="robots" content="noindex, nofollow">
  <link rel="shortcut icon" href="images/favicon-32x32.png">
  <title>ProfitTrailer Monitor</title>
  <link href="css/vendor/jquery.circliful.css?ver=${version}" rel="stylesheet" type="text/css" async>
  <link href="css/vendor/dataTables.bootstrap4.min.css?ver=${version}" rel="stylesheet" type="text/css" async>
  <link href="css/vendor/fixedColumns.bootstrap4.min.css?ver=${version}" rel="stylesheet" type="text/css" async>
  <link href="css/vendor/buttons.bootstrap4.min.css?ver=${version}" rel="stylesheet" type="text/css" async>
  <link href="css/vendor/responsive.bootstrap4.min.css?ver=${version}" rel="stylesheet" type="text/css" async>
  <!-- <link href="css/vendor/switchery.min.css?ver=${version}" rel="stylesheet" />-->
  <link href="css/vendor/bootstrap.min.css?ver=${version}" rel="stylesheet" type="text/css" defer>
  <link href="css/vendor/icons.min.css?ver=${version}" rel="stylesheet" type="text/css" async>
  <link href="css/vendor/cryptofont.min.css?ver=${version}" rel="stylesheet" type="text/css" async>
  <link href="css/vendor/toastr.min.css?ver=${version}" rel="stylesheet" type="text/css" async>
  <link href="css/vendor/sweetalert.min.css?ver=${version}" rel="stylesheet" type="text/css" async>
  <link href="css/vendor/flag-icon-css/css/flag-icon.min.css?ver=${version}" rel="stylesheet" type="text/css" async>
  <!-- Theme css -->
  <link href="css/style.css?ver=${version}" rel="stylesheet" type="text/css">
  <link href="css/themes/dark/custom-dark.css?ver=${version}" rel="stylesheet" type="text/css" id="customTheme">
  <link href="css/custom.css?ver=${version}" rel="stylesheet" type="text/css">
  <link href="css/berti.css?ver=${version}" rel="stylesheet" type="text/css">
  <script>
    // Timeago libraries locales file path lcoation
    var TIMEAGO_LOCALE_FILE_PATH = 'js/vendor/timeago/locales/';
    var THEME_CSS_FILE_PATH = 'css/themes/';
    var THE_BASE_URL = '${baseUrl}'
  </script>
  <script rel="preload" src="js/vendor/jquery.min.js?ver=${version}"></script>
  <script src="js/vendor/modernizr.min.js?ver=${version}" async></script>
  <script src="js/vendor/i18next.min.js?ver=${version}" async></script>
  <script src="js/vendor/i18nextXHRBackend.min.js?ver=${version}" async></script>
  <script src="js/vendor/jquery-i18next.min.js?ver=${version}" async></script>

  <script src="js/custom/services.js?ver=${version}"></script>
  <script src="locales/translations.js?ver=${version}"></script>
  <script>
    // To use package.json version in js files.
    var APP_VERSION = '${version}';
  </script>
</head>
<body class="fixed-left">
  <div id="bodyLoadingSymbol">
    <span class="fa fa-spinner fa-spin"></span>
  </div>
  <!-- Begin page -->
  <div id="wrapper">
    <!-- Top Bar Start -->
    <div class="topbar">
      <!-- LOGO -->
      <div class="topbar-left">
        <div>
          <span class="testModeContainerRibbon" id="testModeContainerRibbon" data-i18n="summaryItems.testMode.label"></span>
          <h1 class="main-heading">
            <a href="monitoring" class="logo">
              <img src="images/Logo.png" alt="ProfitTrailer" height="35" width="35">
              <span class="heading-text">
                <span class="trailer" data-i18n="logo.trailer"></span>
                <span class="tdbitcoin" data-i18n="logo.profit"></span>
              </span>
            </a>
          </h1>
        </div>
      </div>
      <!-- Button mobile view to collapse sidebar menu -->
      <nav class="navbar-custom header-summary-container">
        <ul class="list-inline float-right mb-0">
          <li class="list-inline-item notification-list">
            <span id="selectedLng"></span>
          </li>
        </ul>
        <ul class="list-inline float-right mb-0">
          <li class="list-inline-item notification-list hide-phone">
            <a class="nav-link waves-light waves-effect" href="#" id="btn-fullscreen" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]summaryItems.imageTitles.fullScreen">
              <i class="fa fa-expand noti-icon text-primary"></i>
            </a>
          </li>
          <div class="dropdown-menu dropdown-menu-right profile-dropdown" aria-labelledby="Preview">
            <!-- item-->
            <a href="javascript:void(0);" class="dropdown-item notify-item">
              <i class="fa fa-unlock"></i>
            </a>
          </div>
        </ul>
        <ul class="list-inline float-right mb-0 text-primary">
          <li class="list-inline-item notification-list">
            <a class="nav-link right-bar-toggle waves-light waves-effect" id="settingsLink">
              <i class="mdi mdi-settings noti-icon"></i>
            </a>
          </li>
        </ul>
        <ul class="list-inline float-right mb-0 text-primary updated-on-container ">
          <li class="list-inline-item  text-primary">
            <div class="led-box pt-13">
              <div class="led-yellow-blink spinner"></div>
              <div class="led-green2" id="dv2LastUpdatedOn"></div>
            </div>
          </li>
        </ul>
        <ul class="list-inline float-right text-right m-t-15 mb-0 text-primary specialul selected-config-container">
          <li class="selectedConfigDiv list-inline-item   font-16 ticker-text text-primary  mr-3">
            <span id="nSelectedConfig" data-toggle="tooltip" data-placement="bottom">-</span>
          </li>
        </ul>
        <ul class="list-inline menu-left float-left mb-0">
          <li class="float-left">
            <button class="button-menu-mobile open-left waves-light waves-effect">
              <i class="fa fa-bars text-primary"></i>
            </button>
          </li>
        </ul>
        <ul class="list-inline mb-0 monitor-summary hide-phone">
          <li class="list-inline-item tdbitcoin font-16 ticker-text">
            <label data-toggle="tooltip" data-placement="bottom" data-i18n="[title]summaryItems.balance.title;summaryItems.balance.label"></label>:
            <span id="nBalanceVal">--</span>
          </li>
          <li class="list-inline-item text-primary font-16 ticker-text">
            <label data-toggle="tooltip" data-placement="bottom" data-i18n="[title]summaryItems.tcv.title;summaryItems.tcv.label"></label>:
            <span id="nTotalCurrentVal">--</span>
          </li>
          <li class="list-inline-item text-muted font-16 ticker-text">
            <label data-toggle="tooltip" data-placement="bottom" data-i18n="[title]summaryItems.profit.title">
              <span class="full-text" data-i18n="summaryItems.profit.fullText"></span>
              <span class="short-text" data-i18n="summaryItems.profit.label"></span>
            </label>:</li>
          <li class="list-inline-item text-profitlw font-16 ticker-text">
            <span>
              <span id="nLastWeekProfit" class="open-brackets">-</span>
              <span data-toggle="tooltip" data-placement="bottom" class="close-brackets" data-i18n="[title]summaryItems.lw.title;summaryItems.lw.label"></span>
            </span>
          </li>
          <li class="list-inline-item text-profityd font-16 ticker-text">
            <span>
              <span id="nYesterdayProfit" class="open-brackets">-</span>
              <span data-toggle="tooltip" data-placement="bottom" data-i18n="[title]summaryItems.yd.title;summaryItems.yd.label" class="close-brackets"></span>
            </span>
          </li>
          <li class="list-inline-item text-profittd font-16 ticker-text">
            <span>
              <span id="nTodayProfit" class="open-brackets">-</span>
              <span data-toggle="tooltip" data-placement="bottom" data-i18n="[title]summaryItems.td.title;summaryItems.td.label" class="close-brackets"></span>
            </span>
          </li>
          <li class="list-inline-item font-16 text-btctrend ticker-text">
            <label id="nMarketTrendLabel" data-toggle="tooltip" data-placement="bottom" title="">
              <span class="full-text" data-i18n="summaryItems.trend.title"></span>
              <span class="short-text" data-i18n="summaryItems.trend.label"></span>
            </label>:
            <span class="trend-val">
              <span id="nMarketTrend" class="open-brackets close-brackets">-</span>
            </span>
          </li>
          <li class="list-inline-item tdbitcoin font-16 ticker-text">
            <label id="nMarket" data-toggle="tooltip" data-placement="bottom" title="">-</label>:
            <span id="nMarketPrice">-</span>&nbsp;
            <span id="nMarketPercChange" data-i18n="summaryItems.NotAvailable.label"></span>
          </li>
        </ul>
      </nav>
    </div>
    <!-- Top Bar End -->
    <!-- ========== Left Sidebar Start ========== -->
    <div class="left side-menu">
      <div class="sidebar-inner slimscrollleft">
        <!--- Divider -->
        <div id="sidebar-menu">
          <ul>
            <li id="defaultPage">
              <a href="monitoring" class="waves-effect waves-primary monitoring">
                <i class="fa fa-home"></i>
                <span data-i18n="sidebar.monitoring"></span>
              </a>
            </li>
            <li>
              <a href="possible-buys-log" class="waves-effect waves-primary possible-buys-log">
                <i class="fa fa-optin-monster"></i>
                <span data-i18n="sidebar.possibleBuyLog"></span>
                <span class="text-dark pull-right m-t-4 records-count badge badge-primary" id="possibleBuyLogLength">--</span>
              </a>
            </li>
            <li>
              <a href="pairs-log" class="waves-effect waves-primary pairs-log">
                <i class="fa fa-houzz"></i>
                <span data-i18n="sidebar.pairsLog"></span>
                <span class="text-dark pull-right m-t-4 records-count badge badge-primary" id="pairsLogLength">--</span>
              </a>
            </li>
            <li>
              <a href="dca-log" class="waves-effect waves-primary dca-log">
                <i class="fa fa-hand-peace-o"></i>
                <span data-i18n="sidebar.dcaLog"></span>
                <span class="text-dark pull-right m-t-4 records-count badge badge-primary" id="dcLogLength">--</span>
              </a>
            </li>
            <li>
              <a href="pending-log" class="waves-effect waves-primary pending-log">
                <i class="fa fa-gg"></i>
                <span data-i18n="sidebar.pendingLog"></span>
                <span class="text-dark pull-right m-t-4 records-count badge badge-primary" id="pendingLogLength">--</span>
              </a>
            </li>
            <li>
              <a href="buy-log" class="waves-effect waves-primary buy-log">
                <i class="fa fa-shopping-basket"></i>
                <span data-i18n="sidebar.buyLog"></span>
                <span class="text-dark pull-right m-t-4 records-count badge badge-primary" id="buyLogLength">--</span>
              </a>
            </li>
            <li>
              <a href="sales-log" class="waves-effect waves-primary sales-log">
                <i class="fa fa-balance-scale"></i>
                <span data-i18n="sidebar.salesLog"></span>
                <span class="text-dark pull-right m-t-4 records-count badge badge-primary" id="salesLogLength">--</span>
              </a>
            </li>
            <li>
              <a href="dust-log" class="waves-effect waves-primary dust-log">
                <i class="fa fa-recycle"></i>
                <span data-i18n="sidebar.dustLog"></span>
                <span class="text-dark pull-right m-t-4 records-count badge badge-primary" id="dustLogLength">--</span>
              </a>
            </li>
            <!-- API logs -->
            <li id="APILogsMenuMobile">
                <a href="api-logs" class="waves-effect waves-primary api-logs">
                  <i class="fa fa-align-left"></i>
                  <span data-i18n="sidebar.apiLogs"></span>
                </a>
            </li>
            <li class="has_sub" id="configMenu">
              <a href="config" class="waves-effect waves-primary config">
                <i class="fa fa-wrench"></i>
                <span data-i18n="sidebar.config"></span>
                <span class="menu-arrow"></span>
              </a>
            </li>
          </ul>
          <div class="clearfix"></div>
        </div>
        <div class="clearfix"></div>
      </div>
    </div>
    <div class="row sub-header" id="subHeader">
      <div class="col-sm-12 sub-header-content">
        <div class="page-title-box font-13 second-header-container">
          <h2 class="page-title tab-heading" data-i18n="monitoringSection.heading"></h2>
          <!-- Top nav -->
          <div id="topNav">
            <ul class="navigation-menu">
              <!-- Monitoring -->
              <li class="has-submenu">
                <a href="monitoring">
                  <i class="fa fa-home"></i>
                  <p class="title">
                    <!-- We are applying font weight bold style to active menu item
                        which will increase below span width and move other other menu items.
                        To fix that we have added visibility hidden font weight bold span. -->
                    <span data-i18n="sidebar.monitoring"></span>
                    <span data-i18n="sidebar.monitoring"></span>
                  </p>
                </a>
              </li>
              <!-- Possible buy log -->
              <li class="has-submenu">
                <a href="possible-buys-log">
                  <i class="fa fa-optin-monster"></i>
                  <p class="title">
                    <span data-i18n="sidebar.possibleBuyLog"></span>
                    <span data-i18n="sidebar.possibleBuyLog"></span>
                  </p>
                  <span class="records-count badge badge-primary" id="topPossibleBuyLogLength">--</span>
                </a>
              </li>
              <!-- Pairs log -->
              <li class="has-submenu">
                <a href="pairs-log">
                  <i class="fa fa-houzz"></i>
                  <p class="title">
                    <span data-i18n="sidebar.pairsLog"></span>
                    <span data-i18n="sidebar.pairsLog"></span>
                  </p>
                  <span class="records-count badge badge-primary" id="topPairsLogLength">--</span>
                </a>
              </li>
              <!-- DCA log -->
              <li class="has-submenu">
                <a href="dca-log">
                  <i class="fa fa-hand-peace-o"></i>
                  <p class="title">
                    <span data-i18n="sidebar.dcaLog"></span>
                    <span data-i18n="sidebar.dcaLog"></span>
                  </p>

                  <span class="records-count badge badge-primary" id="topDcLogLength">--</span>
                </a>
              </li>
              <!-- Pending log -->
              <li class="has-submenu">
                <a href="pending-log">
                  <i class="fa fa-gg"></i>
                  <p class="title">
                    <span data-i18n="sidebar.pendingLog"></span>
                    <span data-i18n="sidebar.pendingLog"></span>
                  </p>
                  <span class="records-count badge badge-primary" id="topPendingLogLength">--</span>
                </a>
              </li>
              <!-- Buy log -->
              <li class="has-submenu">
                <a href="buy-log">
                  <i class="fa fa-shopping-basket"></i>
                  <p class="title">
                    <span data-i18n="sidebar.buyLog"></span>
                    <span data-i18n="sidebar.buyLog"></span>
                  </p>
                  <span class="records-count badge badge-primary" id="topBuyLogLength">--</span>
                </a>
              </li>
              <!-- Sales log -->
              <li class="has-submenu">
                <a href="sales-log">
                  <i class="fa fa-balance-scale"></i>
                  <p class="title">
                    <span data-i18n="sidebar.salesLog"></span>
                    <span data-i18n="sidebar.salesLog"></span>
                  </p>
                  <span class="records-count badge badge-primary" id="topSalesLogLength">--</span>
                </a>
              </li>
              <!-- Dust log -->
              <li class="has-submenu">
                <a href="dust-log">
                  <i class="fa fa-recycle"></i>
                  <p class="title">
                    <span data-i18n="sidebar.dustLog"></span>
                    <span data-i18n="sidebar.dustLog"></span>
                  </p>
                  <span class="records-count badge badge-primary" id="topDustLogLength">--</span>
                </a>
              </li>
              <!-- API logs -->
              <li class="has-submenu" id="APILogsMenuDesktop">
                  <a href="api-logs">
                    <i class="fa fa-align-left"></i>
                    <p class="title">
                      <span data-i18n="sidebar.apiLogs"></span>
                      <span data-i18n="sidebar.apiLogs"></span>
                    </p>
                  </a>
              </li>
              <!-- Config -->
              <li class="has-submenu" id="topConfigMenu">
                <a href="config">
                  <i class="fa fa-wrench"></i>
                  <p class="title">
                    <span data-i18n="sidebar.config"></span>
                    <span data-i18n="sidebar.config"></span>
                  </p>
                </a>
              </li>
            </ul>
          </div>
          <ul id="appNotificationContainer" class="list-inline mb-0 notifications-container navbar-custom">
            <li class="list-inline-item dropdown notification-list">
              <a class="nav-link dropdown-toggle arrow-none waves-light waves-effect" data-toggle="dropdown" href="#" role="button" aria-haspopup="false"
                aria-expanded="false" id="lnkToggleNotification">
                <i class="mdi mdi-bell noti-icon"></i>
                <span class="badge badge-danger noti-icon-badge"></span>
              </a>
              <div class="dropdown-menu dropdown-menu-right dropdown-arrow dropdown-menu-lg" aria-labelledby="Preview">
                <!-- item-->
                <div class="dropdown-item noti-title">
                  <h5 class="font-16" data-i18n="monitoringSection.notification"></h5>
                </div>
                <!-- item-->
                <div id="appNotifications">
                </div>
                <!-- All-->
                <a id="lnkViewNotification" href="#" class="dropdown-item notify-item notify-all">
                </a>
              </div>
            </li>
          </ul>
          <div class="clearfix"></div>
        </div>
      </div>
    </div>
    <!-- Left Sidebar End -->
    <!-- ============================================================== -->
    <!-- Start right Content here -->
    <!-- ============================================================== -->
    <div class="content-page" id="contentPage">
      <!-- Start content -->
      <div class="content">
        <div class="container-fluid">
          <!-- Page-Title -->
          <div id="dvPageContent" class="page-content">
          </div>
        </div>
      </div>
    </div>
    <!-- MONITORING -->
    <div id="tmplMonitoring" class="hide">
      <!-- MONITORING 1st ROW -->
      <div class="row monitoring-row">
        <div class="col-lg-3 col-md-6">
          <div class="widget-bg-color-icon card-box fadeInDown animated" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.balance.title">
            <div class="bg-icon bg-icon-tdbitcoin pull-left">
              <i class="fa fa-btc text-info market-icon"></i>
            </div>
            <div class="text-right">
              <h3 class="m-t-10 tdbitcoin main-text">
                <b class="counter" id="mBalanceVal">--</b>
                <span class="market m-l-5">--</span>
              </h3>
              <p class="mb-0 tdbitcoin main-text" data-i18n="[append]monitoringSection.balance.mainText">
                <span class="js-exchange">--</span>
              </p>
              <span class="market-price-calculations">
                <label class="text-warning usd-value js-usd-value">
                  <span class="full-text"></span>
                  <span class="short-text"></span>
                </label>
                <span class="mb-0 text-warning main-text" id="mBalUSDValue">--</span>
              </span>
              <!-- Pairs balance -->
              <p class="mb-0 monitor-smaller-fonts text-warning">
                <span data-i18n="monitoringSection.pairsBal.label">
                </span>
                <span id="mPairsBalanceVal">
                  --
                </span>
              </p>
              <!-- DCA balance -->
              <p class="mb-0 monitor-smaller-fonts text-warning">
                <span data-i18n="monitoringSection.dcaBal.label">
                </span>
                <span id="mDCABalanceVal">
                  --
                </span>
              </p>
            </div>
            <div class="clearfix"></div>
          </div>
        </div>
        <div class="col-lg-3 col-md-6">
          <div class="widget-bg-color-icon card-box fadeInDown animated" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.tcv.title">
            <div class="bg-icon bg-icon-primary pull-left">
              <i class="fa fa-btc text-info market-icon"></i>
            </div>
            <div class="text-right">
              <h3 class=" m-t-10 text-primary main-text">
                <b class="counter" id="mTotalCurrentVal">--</b>
                <span class="market m-l-5">--</span>
              </h3>
              <p class="mb-0 text-primary main-text" data-i18n="monitoringSection.tcv.mainText"></p>
              <span class="market-price-calculations">
                <label class="text-primary usd-value js-usd-value">
                  <span class="full-text"></span>
                  <span class="short-text"></span>
                </label>
                <span class="mb-0 text-primary main-text" id="mTCVUSDValue">--</span>
              </span>
              <p class="monitor-smaller-fonts text-primary main-text mb-0 js-dust-values" data-toggle="tooltip" data-placement="bottom"
                data-i18n="[title]monitoringSection.tcvDust.title">
                <label class="mb-0" data-i18n="monitoringSection.tcvDust.label">
                </label>
                <span id="mTCVDustValue">
                  --
                </span>
                <span class="market">--</span>
              </p>
            </div>
            <div class="clearfix"></div>
          </div>
        </div>
        <div class="col-lg-3 col-md-6">
          <div class="widget-bg-color-icon card-box fadeInDown animated" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.sb.title">
            <div class="bg-icon bg-icon-success pull-left">
              <i class="fa fa-btc text-info  market-icon"></i>
            </div>
            <div class="text-right">
              <h3 class=" m-t-10 text-success main-text">
                <b class="counter" id="mStartBalance">--</b>
                <span class="market m-l-5">--</span>
              </h3>
              <p class="mb-0 text-success main-text" data-i18n="monitoringSection.sb.mainText"></p>
              <span class="market-price-calculations">
                <label class="text-success usd-value js-usd-value">
                  <span class="full-text"></span>
                  <span class="short-text"></span>
                </label>
                <span class="mb-0 text-success main-text" id="mTPVUSDValue">--</span>
              </span>
            </div>
            <div class="clearfix"></div>
          </div>
        </div>
        <div class="col-lg-3 col-md-6">
          <div class="widget-bg-color-icon card-box fadeInDown animated" id="mMarketTrendContainer" data-toggle="tooltip" data-placement="bottom"
            title="">
            <div class="bg-icon bg-icon-btctrend pull-left">
              <i class="fa fa-btc text-info  market-icon"></i>
            </div>
            <div class="text-right">
              <h3 class="counter m-t-10 percentage-text">
                <b class="counter" id="mMarketTrend">--</b>
              </h3>
              <p id="mMarketTrendLabel" class="mb-0 text-btctrend main-text"></p>
            </div>
            <div class="clearfix"></div>
          </div>
        </div>
      </div>
      <!-- MONITORING 2nd ROW -->
      <div class="row monitoring-row">
        <div class="col-lg-3 col-md-6" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.btcUsd.title">
          <div class="widget-bg-color-icon card-box fadeInDown animated">
            <div class="bg-icon bg-icon-btcusd pull-left">
              <i class="fa fa-usd text-info"></i>
            </div>
            <div class="text-right">
              <h3 class="tdbitcoin counter m-t-10 font-bold main-text">
                <span id="mBtcPrice">--</span>&nbsp;
                <span title="BTC trend last 24h" id="mBtc24h"></span>
              </h3>
              <p class="mb-0 text-btcusd main-text" data-i18n="[append]monitoringSection.btcUsd.mainText">
                <span class="js-exchange">--</span>
              </p>
            </div>
            <div class="clearfix"></div>
          </div>
        </div>
        <div class="col-lg-3 col-md-6 top-market" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.coinTopMarket.title">
          <div class="widget-bg-color-icon card-box fadeInDown animated">
            <div class="bg-icon bg-icon-trend1h pull-left">
              <i class="fa fa-space-shuttle text-info"></i>
            </div>
            <div class="text-right">

              <!-- Top market prices -->
              <div class="top-market-prices top-market">
                <span class="counter" id="mTrendPrice0">--</span>
                <span class="counter" id="mTrendPrice1">--</span>
                <span class="counter" id="mTrendPrice2">--</span>
                <span class="counter" id="mTrendPrice3">--</span>
                <span class="counter" id="mTrendPrice4">--</span>
              </div>

              <!-- Top market percentage changes -->
              <div class="top-market-perc top-market">
                <span class="counter m-l-0" id="mTrendPerChnge0">--</span>
                <span class="counter m-l-5" id="mTrendPerChnge1">--</span>
                <span class="counter m-l-5" id="mTrendPerChnge2">--</span>
                <span class="counter m-l-5" id="mTrendPerChnge3">--</span>
                <span class="counter m-l-5" id="mTrendPerChnge4">--</span>
              </div>

              <!-- Top market labels -->
              <div class="top-market-labels top-market">
                <span class="market-label coin-market-text" id="mTrendMarket0">--</span>
                <span class="market-label coin-market-text" id="mTrendMarket1">--</span>
                <span class="market-label coin-market-text" id="mTrendMarket2">--</span>
                <span class="market-label coin-market-text" id="mTrendMarket3">--</span>
                <span class="market-label coin-market-text" id="mTrendMarket4">--</span>
              </div>

            </div>
            <div class="clearfix"></div>
          </div>
        </div>
        <div class="col-lg-3 col-md-6 global-market" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.globalMarket.title">
          <div class="widget-bg-color-icon card-box fadeInDown animated">
            <div class="bg-icon bg-icon-trend24h pull-left">
              <i class="fa fa-moon-o text-info"></i>
            </div>
            <div class="text-right">

              <!-- Total Market Cap -->
              <p class="mb-0  m-t-5 main-text coin-market-text">
                <span class="market-label" data-i18n="[prepend]monitoringSection.globalMarket.totalMarketCap"></span>
                <span class="counter" id="mTrendtotalMarketCap">--</span>
              </p>

              <!-- Total 24 Hour Volume -->
              <p class="mb-0 main-text  m-t-5 coin-market-text">
                <span class="market-label" data-i18n="[prepend]monitoringSection.globalMarket.total24HrsVol"></span>
                <span class="counter" id="mTrendtotal24HrsVol">--</span>
              </p>

              <!-- Bitcoin % of Market Cap -->
              <p class="mb-0 main-text  m-t-5 coin-market-text">
                <span class="market-label" data-i18n="[prepend]monitoringSection.globalMarket.bitcoinMarketCap"></span>
                <span class="counter" id="mTrendbitcoinMarketCap">--</span>
              </p>
            </div>
            <div class="clearfix"></div>
          </div>
        </div>
        <div class="col-lg-3 col-md-6" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.trendUsdTill7D.title">
          <div class="widget-bg-color-icon card-box fadeInDown animated">
            <div class="bg-icon bg-icon-trend7d pull-left">
              <i class="fa fa-usd text-info"></i>
            </div>
            <div class="text-right">
              <div class="trend-market">
                <p class="mb-0 m-t-10 text-trend1h main-text">
                  <span data-i18n="monitoringSection.trendUsd1H.mainText"></span>
                  <span class="m-l-10 counter" id="mTrend1h">--</span>
                </p>
                <p class="mb-0  m-t-5 text-trend24h main-text">
                  <span data-i18n="monitoringSection.trendUsd24H.mainText"></span>
                  <span class="m-l-10 counter" id="mTrend24h">--</span>
                </p>
                <p class="mb-0 text-trend7d main-text  m-t-5">
                  <span data-i18n="monitoringSection.trendUsd7D.mainText"></span>
                  <span class="m-l-10 counter" id="mTrend7d">--</span>
                </p>
              </div>
            </div>
            <div class="clearfix"></div>
          </div>
        </div>
      </div>
      <!-- MONITORING 3rd Row-->
      <div class="row monitoring-row">
        <div class="col-lg-3 col-md-6">
          <div class="widget-bg-color-icon card-box fadeInDown animated" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.profitLW.title">
            <div class="bg-icon bg-icon-profitlw pull-left">
              <i class="fa fa-line-chart text-info"></i>
            </div>
            <div class="text-right">
              <div class="profit-heading main-text">
                <p class="mb-0 text-profitlw main-text" data-i18n="monitoringSection.profitLW.mainText"></p>
                <span class="open-brackets text-profitlw" id="mLastWeekProfitSales">--</span>
                <span class="text-profitlw close-brackets" data-i18n="monitoringSection.trade.label"></span>
              </div>
              <h3 class=" m-t-10 text-profitlw main-text profit-text">
                <b class="counter" id="mLastWeekProfit">--</b>
                <span class="market m-l-5">--</span>
              </h3>
              <span class="market-price-calculations text-profitlw">
                <label class="usd-value js-usd-value">
                  <span class="full-text"></span>
                  <span class="short-text"></span>
                </label>
                <span class="mb-0 main-text" id="mLastWeekProfitUSDValue">--</span>
              </span>
              <div class="market-volume text-profitlw">
                <label class="usd-value">
                  <span class="api-market"></span>
                  <span data-i18n="monitoringSection.volume.label"></span>
                </label>
                <span class="mb-0 main-text" id="mLastWeekMarketVolume">--</span>
              </div>
              <div class="market-price-calculations text-profitlw js-estimated-gain">
                <label class="usd-value">
                  <span class="full-text" data-i18n="monitoringSection.gainFullText"></span>
                  <span class="short-text" data-i18n="monitoringSection.gainShortText"></span>
                </label>
                <span class="mb-0 main-text" id="mLastWeekProfitPercent">--</span>
                <span> %</span>
              </div>
            </div>
            <div class="clearfix"></div>
          </div>
        </div>
        <div class="col-lg-3 col-md-6">
          <div class="widget-bg-color-icon card-box fadeInDown animated" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.profitYday.title">
            <div class="bg-icon bg-icon-profityd pull-left">
              <i class="fa fa-line-chart text-info"></i>
            </div>
            <div class="text-right">
              <div class="profit-heading main-text">
                <p class="mb-0 text-profityd main-text" data-i18n="monitoringSection.profitYday.mainText"></p>
                <span class="open-brackets text-profityd" id="mYesterdayProfitSales">--</span>
                <span class="text-profityd close-brackets" data-i18n="monitoringSection.trade.label"></span>
              </div>
              <h3 class=" m-t-10 text-profityd main-text profit-text">
                <b class="counter" id="mYesterdayProfit">--</b>
                <span class="market m-l-5">--</span>
              </h3>
              <span class="market-price-calculations text-profityd">
                <label class="usd-value js-usd-value">
                  <span class="full-text"></span>
                  <span class="short-text"></span>
                </label>
                <span class="mb-0 main-text" id="mYesterdayProfitUSDValue">--</span>
              </span>
              <div class="market-volume text-profityd">
                <label class="usd-value">
                  <span class="api-market"></span>
                  <span data-i18n="monitoringSection.volume.label"></span>
                </label>
                <span class="mb-0 main-text" id="mYesterdayMarketVolume">--</span>
              </div>
              <div class="market-price-calculations text-profityd js-estimated-gain">
                <label class="usd-value">
                  <span class="full-text" data-i18n="monitoringSection.gainFullText"></span>
                  <span class="short-text" data-i18n="monitoringSection.gainShortText"></span>
                </label>
                <span class="mb-0 main-text" id="mYesterdayProfitPercent">--</span>
                <span> %</span>
              </div>
            </div>
            <div class="clearfix"></div>
          </div>
        </div>
        <div class="col-lg-3 col-md-6">
          <div class="widget-bg-color-icon card-box fadeInDown animated" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.profitToday.title">
            <div class="bg-icon bg-icon-profittd pull-left">
              <i class="fa fa-line-chart text-info"></i>
            </div>
            <div class="text-right">
              <div class="profit-heading main-text">
                <p class="mb-0 text-profittd main-text" data-i18n="monitoringSection.profitToday.mainText"></p>
                <span class="open-brackets text-profittd" id="mTodayProfitSales">--</span>
                <span class="text-profittd close-brackets" data-i18n="monitoringSection.trade.label"></span>
              </div>
              <h3 class=" m-t-10 text-profittd main-text profit-text">
                <b class="counter" id="mTodayProfit">--</b>
                <span class="market m-l-5">--</span>
              </h3>
              <span class="market-price-calculations text-profittd">
                <label class="usd-value js-usd-value">
                  <span class="full-text"></span>
                  <span class="short-text"></span>
                </label>
                <span class="mb-0  main-text" id="mTodayProfitUSDValue">--</span>
              </span>
              <div class="market-volume text-profittd">
                <label class="usd-value">
                  <span class="api-market"></span>
                  <span data-i18n="monitoringSection.volume.label"></span>
                </label>
                <span class="mb-0 main-text" id="mTodayMarketVolume">--</span>
              </div>
              <div class="market-price-calculations text-profittd js-estimated-gain">
                <label class="usd-value">
                  <span class="full-text" data-i18n="monitoringSection.gainFullText"></span>
                  <span class="short-text" data-i18n="monitoringSection.gainShortText"></span>
                </label>
                <span class="mb-0  main-text" id="mTodayProfitPercent">--</span>
                <span> %</span>
              </div>
            </div>
            <div class="clearfix"></div>
          </div>
        </div>
        <div class="col-lg-3 col-md-6">
          <div class="widget-bg-color-icon card-box fadeInDown animated">
            <div class="bg-icon bg-icon-inverse pull-left">
              <i class="fa fa-cog text-info"></i>
            </div>
            <div class="text-right">
              <p class="mb-0 text-muted font-13 settings-text m-t-10" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.pot.title;[prepend]monitoringSection.pot.label">
                <span class="m-l-5 text-strange text-strange" id="mPendingOrderTime">--</span>
              </p>
              <p class="m-b-5 m-t-5 text-muted font-13 settings-text">
                <!-- Monitoring password set -->
                <span data-i18n="[title]monitoringSection.pot.pwTitle;monitoringSection.pot.pwText" data-toggle="tooltip" data-placement="bottom"></span>
                <span class="m-l-5 text-strange badge" id="mPasswordSet">--</span>
                <!-- Monitoring config enabled -->
                <span class="m-l-5" data-i18n="[title]monitoringSection.pot.pwTitle;monitoringSection.pot.conText" data-toggle="tooltip"
                  data-placement="bottom"></span>
                <span class="m-l-5 text-strange badge" id="mConfigEnabled">--</span>
              </p>
              <p class="m-b-5 m-t-10 text-muted font-13 settings-text">
                <span id="mSOMContainer">
                  <span data-toggle="tooltip" data-placement="bottom" id="mSellOnlyModeLabel" data-i18n="monitoringSection.pot.somText"></span>
                  <span class="m-l-5 text-strange badge" id="mSellOnlyMode">--</span>
                </span>
                <span class="m-l-5 red-tooltip" data-i18n="[title]monitoringSection.pot.somoTitle;monitoringSection.pot.somoText" data-toggle="tooltip"
                  data-placement="bottom"></span>
                <span class="m-l-5 text-strange badge" id="mSellOnlyModeOverride">--</span>
              </p>
              <p class="mb-0 text-muted font-13 settings-text" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.pot.ptvTitle">
                <span class="tdbitcoin" data-i18n="monitoringSection.pot.pLetter"></span>
                <span class="text-primary" data-i18n="monitoringSection.pot.tLetter"></span>
                <span data-i18n="monitoringSection.pot.ver"></span>
                <span class="m-l-5 text-strange" id="mVersion">--</span>
              </p>
              <p class="mb-0 text-muted font-13 settings-text" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.pot.guiVerTitle">
                <span data-i18n="monitoringSection.pot.guiVer"></span>
                <span class="m-l-5 text-strange">${version}</span>
              </p>
              <p class="mb-0 text-muted font-13 settings-text" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.pot.marketTitle;[prepend]monitoringSection.pot.marketLabel">
                <span class="m-l-5 text-strange js-exchange">--</span>
                <span class="m-l-5 text-strange" id="mMarket">--</span>
              </p>
            </div>
            <div class="clearfix"></div>
          </div>
        </div>
      </div>
      <!-- MONITORING 4th Row-->
      <div class="row monitoring-row">
        <div class="col-lg-3 col-md-6">
          <div class="widget-bg-color-icon card-box fadeInDown animated">
            <div class="bg-icon bg-icon-pairs pull-left">
              <i class="fa fa-houzz text-info"></i>
            </div>
            <div class="text-right">
              <h5 class="mt-0 m-b-5 font-16 text-primary totals-text m-t-10" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.pairsLog.title">
                <span class="full-text" data-i18n="monitoringSection.pairsLog.fullText"></span>
                <span class="short-text" data-i18n="monitoringSection.pairsLog.shortText"></span>
                <span class="text-primary m-l-5" id="mPairsLogCurrentValue">--</span>
              </h5>
              <h5 class="mt-0 m-b-5 font-16 text-dark totals-text" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.pairsLog.diffTitle">
                <span class="text-dark m-l-5" id="mPairsLogDifference">
                  <span class="percentage">--</span>
                  <span class="full-text" data-i18n="monitoringSection.pairsLog.diffFullText"></span>
                  <span class="short-text"> </span>
                  <span class="value m-l-5">--</span>
                </span>
              </h5>
              <h5 class="mt-0 m-b-5 font-16 text-success totals-text" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.pairsLog.boughtCostTitle">
                <span class="full-text" data-i18n="monitoringSection.pairsLog.bcFullText"></span>
                <span class="short-text" data-i18n="monitoringSection.pairsLog.bcShortText"></span>
                <span class="text-success m-l-5" id="mPairsLogBoughtCost">--</span>
              </h5>
              <small class="text-pairs mb-0 font-14 totals-title">
                <b data-i18n="monitoringSection.pairsLog.label"></b>
              </small>
              <div class="clearfix"></div>
            </div>
          </div>
        </div>
        <div class="col-lg-3 col-md-6">
          <div class="widget-bg-color-icon card-box fadeInDown animated">
            <div class="bg-icon bg-icon-dca pull-left">
              <i class="fa fa-hand-peace-o text-info"></i>
            </div>
            <div class="text-right">
              <h5 class="mt-0 m-b-5 font-16 m-t-10 text-primary totals-text" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.dcaLog.title">
                <span class="full-text" data-i18n="monitoringSection.dcaLog.fullText"></span>
                <span class="short-text" data-i18n="monitoringSection.dcaLog.shortText"></span>
                <span class="text-primary m-l-5" id="mDcLogCurrentValue">--</span>
              </h5>
              <h5 class="mt-0 m-b-5 font-16 text-dark totals-text" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.dcaLog.diffTitle">
                <span class="text-dark m-l-5" id="mDcLogDifference">
                  <span class="percentage">--</span>
                  <span class="full-text" data-i18n="monitoringSection.dcaLog.diffFullText"></span>
                  <span class="short-text"> </span>
                  <span class="value m-l-5">--</span>
                </span>
              </h5>
              <h5 class="mt-0 m-b-5 font-16 text-success totals-text" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.dcaLog.totalCostTitle">
                <span class="full-text" data-i18n="monitoringSection.dcaLog.tcFullText"></span>
                <span class="short-text" data-i18n="monitoringSection.dcaLog.tcShortText"></span>
                <span class="text-success m-l-5" id="mDcLogBoughtCost">--</span>
              </h5>
              <small class="text-dca mb-0 font-14 totals-title">
                <b data-i18n="monitoringSection.dcaLog.label"></b>
              </small>
            </div>
            <div class="clearfix"></div>
          </div>
        </div>
        <div class="col-lg-3 col-md-6">
          <div class="widget-bg-color-icon card-box fadeInDown animated">
            <div class="bg-icon bg-icon-pending pull-left">
              <i class="fa fa-gg text-info"></i>
            </div>
            <div class="text-right">
              <h5 class="mt-0 m-b-5 font-16 m-t-10 text-primary totals-text" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.pendingLog.title">
                <span class="full-text" data-i18n="monitoringSection.pendingLog.fullText"></span>
                <span class="short-text" data-i18n="monitoringSection.pendingLog.shortText"></span>
                <span class="text-primary m-l-5" id="mPendingLogCurrentValue">--</span>
              </h5>
              <h5 class="mt-0 m-b-5 font-16 text-dark totals-text" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.pendingLog.diffTitle">
                <span class="text-dark m-l-5" id="mPendingLogDifference">
                  <span class="percentage">--</span>
                  <span class="full-text" data-i18n="monitoringSection.pendingLog.diffFullText"></span>
                  <span class="short-text"> </span>
                  <span class="value m-l-5">--</span>
                </span>
              </h5>
              <h5 class="mt-0 m-b-5 font-16 text-success totals-text" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.pendingLog.targetValueTitle">
                <span class="full-text" data-i18n="monitoringSection.pendingLog.tvFullText"></span>
                <span class="short-text" data-i18n="monitoringSection.pendingLog.tvShortText"></span>
                <span class="text-success m-l-5" id="mPendingLogBoughtCost">--</span>
              </h5>
              <small class="text-pending mb-0 font-14 totals-title">
                <b data-i18n="monitoringSection.pendingLog.label"></b>
              </small>
            </div>
            <div class="clearfix"></div>
          </div>
        </div>
        <div class="col-lg-3 col-md-6">
          <div class="widget-bg-color-icon card-box fadeInDown animated">
            <div class="bg-icon bg-icon-sales pull-left">
              <i class="fa fa-balance-scale text-info"></i>
            </div>
            <div class="text-right">
              <h5 class="mt-0 m-b-5 font-16 m-t-10 text-primary totals-text" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.salesLog.title">
                <span class="full-text" data-i18n="monitoringSection.salesLog.fullText"></span>
                <span class="short-text" data-i18n="monitoringSection.salesLog.shortText"></span>
                <span class="text-primary m-l-5" id="mSalesLogBoughtCost">--</span>
              </h5>
              <h5 class="mt-0 m-b-5 font-16 text-dark totals-text" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.salesLog.diffTitle">
                <span class="text-dark m-l-5" id="mSalesLogDifference">
                  <span class="percentage">--</span>
                  <span class="full-text" data-i18n="monitoringSection.salesLog.diffFullText"></span>
                  <span class="short-text"> </span>
                  <span class="value m-l-5">--</span>
                </span>
              </h5>
              <h5 class="mt-0 m-b-5 font-16 text-success totals-text" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]monitoringSection.salesLog.soldValueTitle">
                <span class="full-text" data-i18n="monitoringSection.salesLog.svFullText"></span>
                <span class="short-text" data-i18n="monitoringSection.salesLog.svShortText"></span>
                <span class="text-success m-l-5" id="mSalesLogCurrentValue">--</span>
              </h5>
              <small class="text-sales mb-0 font-14 totals-title">
                <b data-i18n="monitoringSection.salesLog.label"></b>
              </small>
            </div>
            <div class="clearfix"></div>
          </div>
        </div>
      </div>
    </div>
    <!-- end MONITORING -->
    <!-- DCA LOG -->
    <div id="tmplDcaLog" class="hide">
      <div class="row">
        <div class="col-12">
          <div class="card-box table-responsive">
            <table class="table table-striped table-bordered dt-dca-logs" id="dtDcaLogs" cellspacing="0" width="100%">
            </table>
            <table class="col-md-3 col-sm-5 summary-table">
              <tr>
                <td class="text-primary table-nowrap">
                  <span class="full-text" data-i18n="dcaLogSection.summaryTable.currVal"></span>
                  <span class="short-text" data-i18n="dcaLogSection.summaryTable.cv"></span>
                </td>
                <td id="dcLogTotalCurrentVal" class="text-primary table-nowrap" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]dcaLogSection.summaryTable.currVal"></td>
              </tr>
              <tr>
                <td class="text-dark table-nowrap">
                  <span class="full-text" data-i18n="dcaLogSection.summaryTable.diff"></span>
                  <span class="short-text" data-i18n="dcaLogSection.summaryTable.d"></span>
                </td>
                <td id="dcLogDifference" class="text-dark table-nowrap">
                  <span class="percentage"></span>
                  <span class="value" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]dcaLogSection.summaryTable.diff"></span>
                </td>
              </tr>
              <tr>
                <td class="text-success table-nowrap">
                  <span class="full-text" data-i18n="dcaLogSection.summaryTable.totalCost"></span>
                  <span class="short-text" data-i18n="dcaLogSection.summaryTable.tc"></span>
                </td>
                <td id="dcLogRealCost" class="text-success table-nowrap" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]dcaLogSection.summaryTable.totalCost"></td>
              </tr>
            </table>
          </div>
        </div>
      </div>
    </div>
    <!-- end DCA LOG -->
    <!-- PAIRS LOG -->
    <div id="tmplPairsLog" class="hide">
      <div class="row">
        <div class="col-12">
          <div class="card-box table-responsive">
            <table class="table table-striped table-bordered dt-pairs-logs" id="dtPairsLogs" cellspacing="0" width="100%">
            </table>
            <table class="col-md-3 col-sm-5 summary-table">
              <tr>
                <td class="text-primary table-nowrap">
                  <span class="full-text" data-i18n="pairsLogSection.summaryTable.currVal"></span>
                  <span class="short-text" data-i18n="pairsLogSection.summaryTable.cv"></span>
                </td>
                <td id="pairsLogTotalCurrentVal" class="text-primary table-nowrap" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]pairsLogSection.summaryTable.currVal"></td>
              </tr>
              <tr>
                <td class="text-dark table-nowrap">
                  <span class="full-text" data-i18n="pairsLogSection.summaryTable.diff"></span>
                  <span class="short-text" data-i18n="pairsLogSection.summaryTable.d"></span>
                </td>
                <td id="pairsLogDifference" class="text-dark table-nowrap">
                  <span class="percentage"></span>
                  <span class="value" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]pairsLogSection.summaryTable.diff"></span>
                </td>
              </tr>
              <tr>
                <td class="text-success table-nowrap">
                  <span class="full-text" data-i18n="pairsLogSection.summaryTable.boughtCost"></span>
                  <span class="short-text" data-i18n="pairsLogSection.summaryTable.bc"></span>
                </td>
                <td id="pairsLogRealCost" class="text-success table-nowrap" data-toggle="tooltip" data-placement="bottom" data-i18n="pairsLogSection.summaryTable.boughtCost"></td>
              </tr>
            </table>
          </div>
        </div>
      </div>
    </div>
    <!-- end PAIRS LOG  -->
    <!-- PENDING LOG -->
    <div id="tmplPendingLog" class="hide">
      <div class="row">
        <div class="col-12">
          <div class="card-box table-responsive">
            <table class="table table-striped table-bordered dt-pending-logs" id="dtPendingLogs" cellspacing="0" width="100%">
            </table>
            <table class="col-md-3 col-sm-5 summary-table">
              <tr>
                <td class="text-primary table-nowrap">
                  <span class="full-text" data-i18n="pendingLogSection.summaryTable.currVal"></span>
                  <span class="short-text" data-i18n="pendingLogSection.summaryTable.cv"></span>
                </td>
                <td id="pendingLogTotalCurrentVal" class="text-primary table-nowrap" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]pendingLogSection.summaryTable.currVal"></td>
              </tr>
              <tr>
                <td class="text-dark table-nowrap">
                  <span class="full-text" data-i18n="pendingLogSection.summaryTable.diff"></span>
                  <span class="short-text" data-i18n="pendingLogSection.summaryTable.d"></span>
                </td>
                <td id="pendingLogDifference" class="text-dark table-nowrap">
                  <span class="percentage"></span>
                  <span class="value" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]pendingLogSection.summaryTable.diff"></span>
                </td>
              </tr>
              <tr>
                <td class="text-success table-nowrap">
                  <span class="full-text" data-i18n="pendingLogSection.summaryTable.targetVal"></span>
                  <span class="short-text" data-i18n="pendingLogSection.summaryTable.tv"></span>
                </td>
                <td id="pendingLogRealCost" class="text-success table-nowrap" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]pendingLogSection.summaryTable.targetVal"></td>
              </tr>
            </table>
          </div>
        </div>
      </div>
    </div>
    <!-- end POSSIBLE BUYS -->
    <!-- POSSIBLE BUYS -->
    <div id="tmplPossibleBuys" class="hide">
      <div class="row">
        <div class="col-12">
          <div class="card-box table-responsive">
            <table class="table table-striped table-bordered dt-possible-buys-Log" id="dtPossibleBuysLog" cellspacing="0" width="100%">
            </table>
          </div>
        </div>
      </div>
    </div>
    <!-- end POSSIBLE BUYS-->
    <!-- BUY LOG -->
    <div id="tmplBuyLog" class="hide">
      <div class="row">
        <div class="col-12">
          <div class="card-box table-responsive">
            <table class="table table-striped table-bordered dt-buys-Log" id="dtBuyLog" cellspacing="0" width="100%">
            </table>
          </div>
        </div>
      </div>
    </div>
    <!-- end BUY LOG-->
    <!-- SALES LOG -->
    <div id="tmplSalesLog" class="hide">
      <div class="row">
        <div class="col-12">
          <div class="card-box table-responsive">
            <table class="table table-striped table-bordered dt-sales-log" id="dtSalesLog" cellspacing="0" width="100%">
            </table>
            <table class="col-md-3 col-sm-5 summary-table">
              <tr>
                <td class="text-primary table-nowrap">
                  <span class="full-text" data-i18n="salesLogSection.summaryTable.boughtCost"></span>
                  <span class="short-text" data-i18n="salesLogSection.summaryTable.bc"></span>
                </td>
                <td id="salesLogBoughtCost" class="text-primary table-nowrap" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]salesLogSection.summaryTable.boughtCost"></td>
              </tr>
              <tr>
                <td class="text-dark table-nowrap">
                  <span class="full-text" data-i18n="salesLogSection.summaryTable.diff"></span>
                  <span class="short-text" data-i18n="salesLogSection.summaryTable.d"></span>
                </td>
                <td id="salesLogDifference" class="text-dark table-nowrap">
                  <span class="percentage"></span>
                  <span class="value" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]salesLogSection.summaryTable.diff"></span>
                </td>
              </tr>
              <tr>
                <td class="text-success table-nowrap">
                  <span class="full-text" data-i18n="salesLogSection.summaryTable.soldVal"></span>
                  <span class="short-text" data-i18n="salesLogSection.summaryTable.sv"></span>
                </td>
                <td id="salesLogTotalCurrentVal" class="text-success table-nowrap" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]salesLogSection.summaryTable.soldVal"></td>
              </tr>
            </table>
          </div>
        </div>
      </div>
    </div>
    <!-- end SALES LOG -->
    <!-- Dust LOG -->
    <div id="tmplDustLog" class="hide">
      <div class="row">
        <div class="col-12">
          <div class="card-box table-responsive">
            <table class="table table-striped table-bordered dt-dust-logs" id="dtDustLogs" cellspacing="0" width="100%">
            </table>
            <table class="col-md-3 col-sm-5 summary-table">
              <tr>
                <td class="text-primary table-nowrap">
                  <span class="full-text" data-i18n="dustLogSection.summaryTable.currVal"></span>
                  <span class="short-text" data-i18n="dustLogSection.summaryTable.cv"></span>
                </td>
                <td id="dustLogTotalCurrentVal" class="text-primary table-nowrap" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]dustLogSection.summaryTable.currVal"></td>
              </tr>
              <tr>
                <td class="text-dark table-nowrap">
                  <span class="full-text" data-i18n="dustLogSection.summaryTable.diff"></span>
                  <span class="short-text" data-i18n="dustLogSection.summaryTable.d"></span>
                </td>
                <td id="dustLogDifference" class="text-dark table-nowrap">
                  <span class="percentage"></span>
                  <span class="value" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]dustLogSection.summaryTable.diff"></span>
                </td>
              </tr>
              <tr>
                <td class="text-success table-nowrap">
                  <span class="full-text" data-i18n="dustLogSection.summaryTable.boughtCost"></span>
                  <span class="short-text" data-i18n="dustLogSection.summaryTable.bc"></span>
                </td>
                <td id="dustLogRealCost" class="text-success table-nowrap" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]dustLogSection.summaryTable.boughtCost"></td>
              </tr>
            </table>
          </div>
        </div>
      </div>
    </div>
    <!-- end Dust LOG  -->
    <!-- SETTINGS -->
    <div id="tmplConfig" class="hide">
      <div id="config-form">
        <div class="col-12" id="mainform">
          <div class="configuration-heading-container">

            <nav class="navbar navbar-expand-sm justify-content-center">
              <ul class="navbar-nav align-items-center">
                <li class="nav-item config-switcher-container">
                  <select class=" mr-md-2  keepEnabled config-dropdown header-select custom-select config-select" id="configDropdown" data-setting-type=""
                    name="" onmouseover="this.title = this.options[this.selectedIndex].value">
                    <#list availableConfigs as configName>
                      <#assign isSelected = activeConfig == configName>
                      <option value="${configName}" <#if isSelected> selected="selected"</#if>>${configName}</option>
                    </#list>
                  </select>
                  <span class="active-config" data-i18n="configSection.activeConfig"></span>
                </li>
                <li class="nav-item">
                  <select class="mb-1 ml-1 mb-md-1 mbl-10 mtl-10 mll-0 keepEnabled header-select2 custom-select config-select" id="pairsmenu" data-setting-type="" name="">
                    <option value="" disabled selected hidden data-i18n="configOptions.default"></option>
                    <option value="default" data-i18n="configOptions.default"></option>
                  </select>
                </li>
                <li class="nav-item ">
                  <i class="fa fa-trash ml-3 removeConfig" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]constantMsgs.delete"></i>
                  <i id="basic-hotconfig" class="fa fa-fire ml-3" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]constantMsgs.hotConfig"></i>
                  <i id="saveButton" class="fa fa-floppy-o save-config-form  new-config-el ml-3" aria-hidden="true" data-toggle="tooltip" data-placement="bottom"
                    data-i18n="[title]constantMsgs.save"></i>
                  <i id="new-config-file" class="fa fa-copy new-config-name new-config-el ml-3" aria-hidden="true" data-toggle="tooltip" data-placement="bottom"
                    data-i18n="[title]constantMsgs.newButton"></i>
                  <i class="fa fa-share-alt share-config ml-3" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]constantMsgs.publishButton"></i>

                  <i class="fa fa-download backup-config ml-3" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]constantMsgs.backupButton"></i>
                </li>
                <li class="nav-item saveli">
                  <span class="show-save-message text-danger ml-3" data-i18n="configOptions.notSaved"></span>
                </li>
              </ul>
            </nav>
          </div>
          <div class="config-tab" id="configTabContainer">
            <ul class="nav nav-tabs tabs-bordered nav-justified gui-configuration-nav">
              <li class="nav-item">
                <a href="#pairs" class="nav-link active pairstab formstabs" data-setting-type="PAIRS" data-toggle="tab" aria-expanded="false" data-i18n="configOptions.pairs"></a>
              </li>
              <li class="nav-item">
                <a href="#dca" class="nav-link dcatab formstabs" data-setting-type="DCA" data-toggle="tab" aria-expanded="true" data-i18n="configOptions.dca"></a>
              </li>
              <li class="nav-item">
                <a href="#indicators" class="nav-link formstabs" data-setting-type="INDICATORS" data-toggle="tab" aria-expanded="true" data-i18n="configOptions.indicators"></a>
              </li>
            </ul>
            <div class="tab-content gui-config-content">
              <!--*****************************************************-->
              <!--  PAIRS tab -->
                <div class="tab-pane fade" id="pairs">

                  <div class="row justify-content-center">
                    <div class="d-flex balancecol card-box col-md-5">
                      <div class="row justify-content-center">
                        <div class="col-md-2">
                          <label class="control-label small  m-0 text-nowrap small full-text" for="market" data-i18n="configSection.market"></label>
                          <label class="control-label small  m-0 text-nowrap small short-text font-10" for="market" data-i18n="configSection.market"></label>
                          <select class="custom-select config-input form-control keepEnabled  mr-md-2  " data-setting-type="PAIRS" name="market" id="market">
                            <option value="" selected data-i18n="configSection.choose"></option>
                            <#list availableMarkets as market>
                              <option value="${market}">${market}</option>
                            </#list>
                          </select>
                        </div>
                        <div class="col-md-2">
                          <label class="control-label small  m-0 text-nowrap full-text" for="start_balance" data-i18n="configSection.startBalance"></label>
                          <label class="control-label small  m-0 text-nowrap short-text font-10" for="start_balance" data-i18n="configSection.startBalance"></label>
                          <input name="start_balance" id="start_balance" data-setting-type="PAIRS" class="form-control keepEnabled config-input" type="text">
                        </div>
                        <div class="col-md-2">
                          <label class="control-label small  m-0 text-nowrap full-text" for="keep_balance" data-i18n="configSection.keepBalance"></label>
                          <label class="control-label small  m-0 text-nowrap short-text font-10" for="keep_balance" data-i18n="configSection.keepBalance"></label>
                          <input name="keep_balance" id="keep_balance" data-setting-type="PAIRS" class="form-control keepEnabled config-input" type="text">
                        </div>
                        <div class="col-md-2">
                          <label class="control-label small  m-0 text-nowrap full-text" for="keep_balance_percentage" data-i18n="configSection.keepBalancePer"></label>
                          <label class="control-label small  m-0 text-nowrap short-text font-10" for="keep_balance_percentage" data-i18n="configSection.keepBalancePer"></label>
                          <input name="keep_balance_percentage" id="keep_balance_percentage" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                            type="text">
                        </div>
                        <div class="col-md-2">
                          <label class="control-label small  m-0 text-nowrap small full-text" for="default_initial_cost" data-i18n="configSection.initialCost"></label>
                          <label class="control-label small  m-0 text-nowrap small short-text font-10" for="default_initial_cost" data-i18n="configSection.initialCost"></label>
                          <input name="default_initial_cost" id="default_initial_cost" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                            type="text">
                        </div>
                        <div class="col-md-2">
                          <label class="control-label small  m-0 text-nowrap small full-text" for="default_initial_cost_percentage" data-i18n="configSection.initialCostPerc"></label>
                          <label class="control-label small  m-0 text-nowrap small short-text font-10" for="default_initial_cost_percentage" data-i18n="configSection.initialCostPerc"></label>
                          <input name="default_initial_cost_percentage" id="default_initial_cost_percentage" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                            type="text">
                        </div>
                      </div>
                    </div>
                    <div class="d-flex somcol card-box col-md-7">
                      <div class="row justify-content-center">
                        <div class="col-md">
                          <label class="control-label small  m-0 text-nowrap small full-text" for="price_trigger_market" data-i18n="configSection.priceTriggerMarket"></label>
                          <label class="control-label small  m-0 text-nowrap small short-text font-10" for="price_trigger_market" data-i18n="configSection.priceMarket"></label>
                          <select class="custom-select config-input form-control keepEnabled  mr-md-2  " data-setting-type="PAIRS" name="price_trigger_market"
                            id="price_trigger_market">
                            <option value="" selected data-i18n="configSection.choose"></option>
                            <#list triggerMarkets as market>
                              <option value="${market}">${market}</option>
                            </#list>
                          </select>
                        </div>
                        <div class="col-md">
                          <label class="control-label small  m-0 text-nowrap  small full-text" for="price_rise_trigger" data-i18n="[append]configSection.priceRise">{{market}}</label>
                          <label class="control-label small  m-0 text-nowrap  small short-text font-10" for="price_rise_trigger" data-i18n="[append]configSection.priceRise">{{market}}</label>
                          <input name="price_rise_trigger" id="price_rise_trigger" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                            type="text">
                        </div>
                        <div class="col-md">
                          <label class="control-label small  m-0 text-nowrap small full-text" for="price_rise_recover_trigger" data-i18n="[append]configSection.riseRecover">{{market}}</label>
                          <label class="control-label small  m-0 text-nowrap small short-text font-10" for="price_rise_recover_trigger" data-i18n="[append]configSection.recover">{{market}}</label>
                          <input name="price_rise_recover_trigger" id="price_rise_recover_trigger" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                            type="text">
                        </div>
                        <div class="col-md">
                          <label class="control-label small  m-0 text-nowrap small full-text" for="price_drop_trigger" data-i18n="[append]configSection.priceDrop">{{market}}</label>
                          <label class="control-label small  m-0 text-nowrap small short-text font-10" for="price_drop_trigger" data-i18n="[append]configSection.priceDrop">{{market}}</label>
                          <input name="price_drop_trigger" id="price_drop_trigger" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                            type="text">
                        </div>
                        <div class="col-md">
                          <label class="control-label small  m-0 text-nowrap small full-text" for="price_drop_recover_trigger" data-i18n="[append]configSection.dropRecover">{{market}}</label>
                          <label class="control-label small  m-0 text-nowrap small short-text font-10" for="price_drop_recover_trigger" data-i18n="[append]configSection.hypenRecover">{{market}}</label>
                          <input name="price_drop_recover_trigger" id="price_drop_recover_trigger" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                            type="text">
                        </div>
                        <div class="col-md">
                          <label class="control-label small  m-0 text-nowrap small full-text" for="consecutive_buy_trigger" data-i18n="configSection.consecutiveBuy"></label>
                          <label class="control-label small  m-0 text-nowrap small short-text font-10" for="consecutive_buy_trigger" data-i18n="configSection.consecutiveBuy"></label>
                          <input name="consecutive_buy_trigger" id="consecutive_buy_trigger" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                            type="text">
                        </div>
                        <div class="col-md">
                          <label class="control-label small  m-0 text-nowrap small full-text" for="consecutive_sell_trigger" data-i18n="configSection.consecutiveSell"></label>
                          <label class="control-label small  m-0 text-nowrap small short-text font-10" for="consecutive_sell_trigger" data-i18n="configSection.consecutiveSell"></label>
                          <input name="consecutive_sell_trigger" id="consecutive_sell_trigger" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                            type="text">
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="row text-center">
                    <div class="card-box col-md buycol bc">
                      <div class="col buyrowAB">
                        <div class="row">
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap  full-text buy-label" for="default_a_buy_strategy" data-i18n="configSection.buyStrategyA"></label>
                            <label class="control-label small  m-0 text-nowrap  short-text font-10 buy-label" for="default_a_buy_strategy" data-i18n="configSection.buyA"></label>
  
                            <div class="pull-left m-0 p-0">
                              <input data-setting-type="PAIRS" class="tgl tgl-skewed config-input newback" type="checkbox" data-val="true" value="true"
                                name="default_a_buy_on_first_signal" id="default_a_buy_on_first_signal">
                              <label title="Buy on 1st signal" class="tgl-btn tgl-btn2 small font-10" data-tg-off="1st" data-tg-on="1st" for="default_a_buy_on_first_signal"></label>
                            </div>
                            <select class="custom-select config-input  form-control mr-md-2 keepEnabled" data-setting-type="PAIRS" name="default_a_buy_strategy"
                              id="default_a_buy_strategy">
                              <option value="" selected  data-i18n="configSection.choose"></option>
                              <#list buyStrategies as strategy>
                                <option value="${strategy}">${strategy}</option>
                              </#list>
                            </select>
  
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text " for="default_a_buy_value" data-i18n="configSection.buyValueA"></label>
                            <label class="control-label small  m-0 text-nowrap  short-text font-10" for="default_a_buy_value" data-i18n="configSection.buyValA"></label>
                            <input name="default_a_buy_value" id="default_a_buy_value" data-setting-type="PAIRS" class="form-control config-input keepEnabled"
                              type="text">
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text " for="default_a_buy_value_limit" data-i18n="configSection.buyLimitA"></label>
                            <label class="control-label small  m-0 text-nowrap  short-text font-10" for="default_a_buy_value_limit" data-i18n="configSection.buyLimA"></label>
                            <input name="default_a_buy_value_limit" id="default_a_buy_value_limit" data-setting-type="PAIRS" class="form-control config-input keepEnabled"
                              type="text">
                          </div>
                          <div class="col-1 pl-3 pt-1">
                            <span class="plusminus hide"></span>
                          </div>
                        </div>
                      </div>
                      <div class="col buyrow">
                        <div class="row">
                          <div class="col-md">
                            <label class="control-label small m-0 text-nowrap full-text buy-label" for="default_b_buy_strategy" data-i18n="configSection.buyStrategyB"></label>
                            <label class="control-label small m-0 text-nowrap short-text font-10 buy-label" for="default_b_buy_strategy" data-i18n="configSection.buyB"></label>
                            <div class="pull-left m-0 p-0">
                              <input data-setting-type="PAIRS" class="tgl tgl-skewed config-input newback" type="checkbox" data-val="true" value="true"
                                name="default_b_buy_on_first_signal" id="default_b_buy_on_first_signal">
                              <label title="Buy on 1st signal" class="tgl-btn tgl-btn2 small font-10" data-tg-off="1st" data-tg-on="1st" for="default_b_buy_on_first_signal"></label>
                            </div>
                            <select class="custom-select config-input form-control " data-setting-type="PAIRS" name="default_b_buy_strategy" id="default_b_buy_strategy"
                              disabled>
                              <option value="" selected data-i18n="configSection.choose"></option>
                              <#list buyStrategies as strategy>
                                <option value="${strategy}">${strategy}</option>
                              </#list>
                            </select>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_b_buy_value" data-i18n="configSection.buyValueB"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_b_buy_value" data-i18n="configSection.buyValB"></label>
                            <input name="default_b_buy_value" id="default_b_buy_value" data-setting-type="PAIRS" class="form-control config-input" type="text"
                              disabled>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_b_buy_value_limit" data-i18n="configSection.buyLimitB"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_b_buy_value_limit" data-i18n="configSection.buyLimB"></label>
                            <input name="default_b_buy_value_limit" id="default_b_buy_value_limit" data-setting-type="PAIRS" class="form-control config-input"
                              type="text" disabled>
                          </div>
                          <div class="col-1 pl-3 pt-1">
                            <span class="badge badge-success pull-left plusminus">
  
                            </span>
                          </div>
                        </div>
                      </div>
                      <div class="col buyrow">
                        <div class="row">
                          <div class="col-md">
                            <label class="control-label small m-0 text-nowrap full-text buy-label" for="default_c_buy_strategy" data-i18n="configSection.buyStrategyC"></label>
                            <label class="control-label small m-0 text-nowrap short-text font-10 buy-label" for="default_c_buy_strategy" data-i18n="configSection.buyC"></label>
                            <div class="pull-left m-0 p-0">
                              <input data-setting-type="PAIRS" class="tgl tgl-skewed config-input newback" type="checkbox" data-val="true" value="true"
                                name="default_c_buy_on_first_signal" id="default_c_buy_on_first_signal">
                              <label title="Buy on 1st signal" class="tgl-btn tgl-btn2 small font-10" data-tg-off="1st" data-tg-on="1st" for="default_c_buy_on_first_signal"></label>
                            </div>
                            <select class="custom-select config-input form-control " data-setting-type="PAIRS" name="default_c_buy_strategy" id="default_c_buy_strategy"
                              disabled>
                              <option value="" selected data-i18n="configSection.choose"></option>
                              <#list buyStrategies as strategy>
                                <option value="${strategy}">${strategy}</option>
                              </#list>
                            </select>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_c_buy_value" data-i18n="configSection.buyValueC"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_c_buy_value" data-i18n="configSection.buyValC"></label>
                            <input name="default_c_buy_value" id="default_c_buy_value" data-setting-type="PAIRS" class="form-control config-input" type="text"
                              disabled>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_c_buy_value_limit" data-i18n="configSection.buyLimitC"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_c_buy_value_limit" data-i18n="configSection.buyLimC"></label>
                            <input name="default_c_buy_value_limit" id="default_c_buy_value_limit" data-setting-type="PAIRS" class="form-control config-input"
                              type="text" disabled>
                          </div>
                          <div class="col-1 pl-3 pt-1">
                            <span class="badge badge-success pull-left plusminus">
                              <span class="fa fa-plus plusminusi"></span>
                            </span>
                          </div>
                        </div>
                      </div>
                      <div class="col buyrow">
                        <div class="row">
                          <div class="col-md">
                            <label class="control-label small m-0 text-nowrap full-text buy-label" for="default_d_buy_strategy" data-i18n="configSection.buyStrategyD"></label>
                            <label class="control-label small m-0 text-nowrap short-text font-10 buy-label" for="default_d_buy_strategy" data-i18n="configSection.buyD"></label>
                            <div class="pull-left m-0 p-0">
                              <input data-setting-type="PAIRS" class="tgl tgl-skewed config-input newback" type="checkbox" data-val="true" value="true"
                                name="default_d_buy_on_first_signal" id="default_d_buy_on_first_signal">
                              <label title="Buy on 1st signal" class="tgl-btn tgl-btn2 small font-10" data-tg-off="1st" data-tg-on="1st" for="default_d_buy_on_first_signal"></label>
                            </div>
                            <select class="custom-select config-input form-control " data-setting-type="PAIRS" name="default_d_buy_strategy" id="default_d_buy_strategy"
                              disabled>
                              <option value="" selected data-i18n="configSection.choose"></option>
                              <#list buyStrategies as strategy>
                                <option value="${strategy}">${strategy}</option>
                              </#list>
                            </select>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_d_buy_value" data-i18n="configSection.buyValueD"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_d_buy_value" data-i18n="configSection.buyValD"></label>
                            <input name="default_d_buy_value" id="default_d_buy_value" data-setting-type="PAIRS" class="form-control config-input" type="text"
                              disabled>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_d_buy_value_limit" data-i18n="configSection.buyLimitD"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_d_buy_value_limit" data-i18n="configSection.buyLimD"></label>
                            <input name="default_d_buy_value_limit" id="default_d_buy_value_limit" data-setting-type="PAIRS" class="form-control config-input"
                              type="text" disabled>
                          </div>
                          <div class="col-1 pl-3 pt-1">
                            <span class="badge badge-success pull-left plusminus">
                              <span class="fa fa-plus plusminusi"></span>
                            </span>
                          </div>
                        </div>
                      </div>
                      <div class="col buyrow">
                        <div class="row">
                          <div class="col-md">
                            <label class="control-label small m-0 text-nowrap full-text buy-label" for="default_e_buy_strategy" data-i18n="configSection.buyStrategyE"></label>
                            <label class="control-label small m-0 text-nowrap short-text font-10 buy-label" for="DEFAdefault_e_buy_strategyult_d_buy_value_limit" data-i18n="configSection.buyE"></label>
                            <div class="pull-left m-0 p-0">
                              <input data-setting-type="PAIRS" class="tgl tgl-skewed config-input newback" type="checkbox" data-val="true" value="true"
                                name="default_e_buy_on_first_signal" id="default_e_buy_on_first_signal">
                              <label title="Buy on 1st signal" class="tgl-btn tgl-btn2 small font-10" data-tg-off="1st" data-tg-on="1st" for="default_e_buy_on_first_signal"></label>
                            </div>
                            <select class="custom-select config-input form-control " data-setting-type="PAIRS" name="default_e_buy_strategy" id="default_e_buy_strategy"
                              disabled>
                              <option value="" selected data-i18n="configSection.choose"></option>
                              <#list buyStrategies as strategy>
                                <option value="${strategy}">${strategy}</option>
                              </#list>
                            </select>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_e_buy_value" data-i18n="configSection.buyValueE"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_e_buy_value" data-i18n="configSection.buyValE"></label>
                            <input name="default_e_buy_value" id="default_e_buy_value" data-setting-type="PAIRS" class="form-control config-input" type="text"
                              disabled>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_e_buy_value_limit" data-i18n="configSection.buyLimitE"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_e_buy_value_limit" data-i18n="configSection.buyLimE"></label>
                            <input name="default_e_buy_value_limit" id="default_e_buy_value_limit" data-setting-type="PAIRS" class="form-control config-input"
                              type="text" disabled>
                          </div>
                          <div class="col-1 pl-3 pt-1">
                            <span class="badge badge-success pull-left plusminus">
                              <span class="fa fa-plus plusminusi"></span>
                            </span>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="card-box col-md-2 bc">
                      <div class="col">
                        <div class="row">
  
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_trailing_buy" data-i18n="configSection.trailingBuy"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_trailing_buy" data-i18n="configSection.trailBuy"></label>
                            <input name="default_trailing_buy" id="default_trailing_buy" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap full-text" for="max_trading_pairs" data-i18n="configSection.maxPairs"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="max_trading_pairs" data-i18n="configSection.maxPairs"></label>
                            <input name="max_trading_pairs" id="max_trading_pairs" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_min_buy_volume" data-i18n="configSection.minBuyVolume"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_min_buy_volume" data-i18n="configSection.minVol"></label>
                            <input name="default_min_buy_volume" id="default_min_buy_volume" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_min_buy_price" data-i18n="configSection.minBuyPrice"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_min_buy_price" data-i18n="configSection.minPrice"></label>
                            <input name="default_min_buy_price" id="default_min_buy_price" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_max_buy_spread" data-i18n="configSection.maxBuySpread"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_max_buy_spread" data-i18n="configSection.maxSpread"></label>
                            <input name="default_max_buy_spread" id="default_max_buy_spread" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_min_orderbook_volume_percentage" data-i18n="configSection.minOrderbookPerc"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="max_trading_pairs" data-i18n="configSection.minOrderbookPerc"></label>
                            <input name="default_min_orderbook_volume_percentage" id="default_min_orderbook_volume_percentage" data-setting-type="PAIRS"
                              class="form-control keepEnabled config-input" type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap small full-text" for="default_buy_min_change_percentage" data-i18n="configSection.buyMinChgPerc"></label>
                            <label class="control-label small  m-0 text-nowrap small short-text font-10" for="default_buy_min_change_percentage" data-i18n="configSection.buyMinChgPerc"></label>
                            <input name="default_buy_min_change_percentage" id="default_buy_min_change_percentage" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap small full-text" for="default_buy_max_change_percentage" data-i18n="configSection.buyMaxChgPerc"></label>
                            <label class="control-label small  m-0 text-nowrap small short-text font-10" for="default_buy_max_change_percentage" data-i18n="configSection.buyMaxChgPerc"></label>
                            <input name="default_buy_max_change_percentage" id="default_buy_max_change_percentage" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap small full-text" for="pair_min_listed_days" data-i18n="configSection.minCoinAge"></label>
                            <label class="control-label small  m-0 text-nowrap small short-text font-10" for="pair_min_listed_days" data-i18n="configSection.minCoinAge"></label>
                            <input name="pair_min_listed_days" id="pair_min_listed_days" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap small full-text" for="default_rebuy_timeout" data-i18n="configSection.rebuyTimeout"></label>
                            <label class="control-label small  m-0 text-nowrap small short-text font-10" for="default_rebuy_timeout" data-i18n="configSection.rebuyTimeout"></label>
                            <input name="default_rebuy_timeout" id="default_rebuy_timeout" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="card-box col-md buycol sc">
                      <div class="col sellrowAB">
                        <div class="row">
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_a_sell_strategy" data-i18n="configSection.sellStrategyA"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_a_sell_strategy" data-i18n="configSection.sellA"></label>
                            <select class="custom-select config-input form-control " data-setting-type="PAIRS" name="default_a_sell_strategy" id="default_a_sell_strategy">
                              <option value="" selected data-i18n="configSection.choose"></option>
                              <#list sellStrategies as strategy>
                                <option value="${strategy}">${strategy}</option>
                              </#list>
                            </select>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_a_sell_value" data-i18n="configSection.sellValueA"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_a_sell_value" data-i18n="configSection.sellValA"></label>
                            <input name="default_a_sell_value" id="default_a_sell_value" data-setting-type="PAIRS" class="form-control config-input"
                              type="text">
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_a_sell_value" data-i18n="configSection.sellValueALimit"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_a_sell_value_limit" data-i18n="configSection.sellValALim"></label>
                            <input name="default_a_sell_value_limit" id="default_a_sell_value_limit" data-setting-type="PAIRS" class="form-control config-input keepEnabled"
                              type="text">
                          </div>
                          <div class="col-1">
                          </div>
                        </div>
                      </div>
                      <div class="col sellrowA " id="sell1">
                        <div class="row">
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_b_sell_strategy" data-i18n="configSection.sellStrategyB"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_b_sell_strategy" data-i18n="configSection.sellB"></label>
                            <select class="custom-select config-input form-control " data-setting-type="PAIRS" name="default_b_sell_strategy" id="default_b_sell_strategy"
                              disabled>
                              <option value="" selected data-i18n="configSection.choose"></option>
                              <#list sellStrategies as strategy>
                                <option value="${strategy}">${strategy}</option>
                              </#list>
                            </select>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_b_sell_value" data-i18n="configSection.sellValueB"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_b_sell_value" data-i18n="configSection.sellValB"></label>
                            <input name="default_b_sell_value" id="default_b_sell_value" data-setting-type="PAIRS" class="form-control config-input"
                              type="text" disabled>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_b_sell_value_limit" data-i18n="configSection.sellValueALimit"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_b_sell_value_limit" data-i18n="configSection.sellValALim"></label>
                            <input name="default_b_sell_value_limit" id="default_b_sell_value_limit" data-setting-type="PAIRS" class="form-control config-input"
                              type="text">
                          </div>
                          <div class="col-1 pl-3 pt-1">
                            <span class="badge badge-success pull-left plusminus">
                              <i class="fa fa-plus plusminusi"></i>
                            </span>
                          </div>
                        </div>
                      </div>
                      <div class="col sellrowA " id="sell2">
                        <div class="row">
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_c_sell_strategy" data-i18n="configSection.sellStrategyC"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_c_sell_strategy" data-i18n="configSection.sellC"></label>
                            <select class="custom-select config-input form-control " data-setting-type="PAIRS" name="default_c_sell_strategy" id="default_c_sell_strategy"
                              disabled>
                              <option value="" selected data-i18n="configSection.choose"></option>
                              <#list sellStrategies as strategy>
                                <option value="${strategy}">${strategy}</option>
                              </#list>
                            </select>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_c_sell_value" data-i18n="configSection.sellValueC"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_c_sell_value" data-i18n="configSection.sellValC"></label>
                            <input name="default_c_sell_value" id="default_c_sell_value" data-setting-type="PAIRS" class="form-control config-input"
                              type="text" disabled>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_c_sell_value_limit" data-i18n="configSection.sellValueALimit"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_c_sell_value_limit" data-i18n="configSection.sellValALim"></label>
                            <input name="default_c_sell_value_limit" id="default_c_sell_value_limit" data-setting-type="PAIRS" class="form-control config-input"
                              type="text">
                          </div>
                          <div class="col-1 pl-3 pt-1">
                            <span class="badge badge-success pull-left plusminus">
                              <i class="fa fa-plus plusminusi"></i>
                            </span>
                          </div>
                        </div>
                      </div>
                      <div class="col sellrowA " id="sell3">
                        <div class="row">
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_d_sell_strategy" data-i18n="configSection.sellStrategyD"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_d_sell_strategy" data-i18n="configSection.sellD"></label>
                            <select class="custom-select config-input form-control " data-setting-type="PAIRS" name="default_d_sell_strategy" id="default_d_sell_strategy"
                              disabled>
                              <option value="" selected data-i18n="configSection.choose"></option>
                              <#list sellStrategies as strategy>
                                <option value="${strategy}">${strategy}</option>
                              </#list>
                            </select>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_d_sell_value" data-i18n="configSection.sellValueD"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_d_sell_value" data-i18n="configSection.sellValD"></label>
                            <input name="default_d_sell_value" id="default_d_sell_value" data-setting-type="PAIRS" class="form-control config-input"
                              type="text" disabled>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_d_sell_value_limit" data-i18n="configSection.sellValueALimit"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_d_sell_value_limit" data-i18n="configSection.sellValALim"></label>
                            <input name="default_d_sell_value_limit" id="default_d_sell_value_limit" data-setting-type="PAIRS" class="form-control config-input"
                              type="text">
                          </div>
                          <div class="col-1 pl-3 pt-1">
                            <span class="badge badge-success pull-left plusminus">
                              <i class="fa fa-plus plusminusi"></i>
                            </span>
                          </div>
                        </div>
                      </div>
                      <div class="col sellrowA " id="sell4">
                        <div class="row">
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_e_sell_strategy" data-i18n="configSection.sellStrategyE"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_e_sell_strategy" data-i18n="configSection.sellE"></label>
                            <select class="custom-select config-input form-control " data-setting-type="PAIRS" name="default_e_sell_strategy" id="default_e_sell_strategy"
                              disabled>
                              <option value="" selected data-i18n="configSection.choose"></option>
                              <#list sellStrategies as strategy>
                                <option value="${strategy}">${strategy}</option>
                              </#list>
                            </select>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_e_sell_value" data-i18n="configSection.sellValueE"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_e_sell_value" data-i18n="configSection.sellValE"></label>
                            <input name="default_e_sell_value" id="default_e_sell_value" data-setting-type="PAIRS" class="form-control config-input"
                              type="text" disabled>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_e_sell_value_limit" data-i18n="configSection.sellValueALimit"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_e_sell_value_limit" data-i18n="configSection.sellValALim"></label>
                            <input name="default_e_sell_value_limit" id="default_e_sell_value_limit" data-setting-type="PAIRS" class="form-control config-input"
                              type="text">
                          </div>
                          <div class="col-1 pl-3 pt-1">
                            <span class="badge badge-success pull-left plusminus">
                              <i class="fa fa-plus plusminusi"></i>
                            </span>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="card-box col-md-2 sc">
                      <div class="col">
                        <div class="row">
  
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap short-text font-10 " for="default_trailing_profit" data-i18n="configSection.trailingProfit"></label>
                            <label class="control-label small  m-0 text-nowrap full-text " for="default_dca_trailing_profit" data-i18n="configSection.trailingProfit"></label>
                            <input name="default_trailing_profit" id="default_trailing_profit" data-setting-type="PAIRS" class="form-control config-input keepEnabled"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_trailing_profit_type" data-i18n="configSection.smartTrailingType"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_trailing_profit_type" data-i18n="configSection.smartTrailing"></label>
                            <select class="custom-select config-input form-control keepEnabled" data-setting-type="PAIRS" name="default_trailing_profit_type"
                              id="default_trailing_profit_type">
                              <option value="" selected data-i18n="configSection.choose"></option>
                              <option value="DEFAULT" data-i18n="configOptions.default"></option>
                              <option value="GROW" data-i18n="configSection.grow"></option>
                              <option value="SHRINK" data-i18n="configSection.shrink"></option>
                            </select>
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap small full-text" for="default_max_profit" data-i18n="configSection.maxProfit"></label>
                            <label class="control-label small  m-0 text-nowrap small short-text font-10" for="default_max_profit" data-i18n="configSection.maxProfit"></label>
                            <input name="default_max_profit" id="default_max_profit" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap small full-text" for="default_take_profit_percentage" data-i18n="configSection.takeProfitPerc"></label>
                            <label class="control-label small  m-0 text-nowrap small short-text font-10" for="default_take_profit_percentage" data-i18n="configSection.takeProfitPerc"></label>
                            <input name="default_take_profit_percentage" id="default_take_profit_percentage" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap small full-text" for="default_take_profit_wait_time" data-i18n="configSection.takeProfitWait"></label>
                            <label class="control-label small  m-0 text-nowrap small short-text font-10" for="default_take_profit_wait_time" data-i18n="configSection.takeProfitWait"></label>
                            <input name="default_take_profit_wait_time" id="default_take_profit_wait_time" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap small full-text" for="default_take_profit_reset_percentage_move" data-i18n="configSection.TakeProfitMovePerc"></label>
                            <label class="control-label small  m-0 text-nowrap small short-text font-10" for="default_take_profit_reset_percentage_move" data-i18n="configSection.TakeProfitMovePerc"></label>
                            <input name="default_take_profit_reset_percentage_move" id="default_take_profit_reset_percentage_move" data-setting-type="PAIRS"
                              class="form-control keepEnabled config-input" type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap small full-text" for="default_pending_order_wait_time" data-i18n="configSection.pendingOrderWait"></label>
                            <label class="control-label small  m-0 text-nowrap small short-text font-10" for="default_pending_order_wait_time" data-i18n="configSection.pendingWait"></label>
                            <input name="default_pending_order_wait_time" id="default_pending_order_wait_time" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap small full-text" for="default_combined_cancel_pending_trigger" data-i18n="configSection.cancelPendingperc"></label>
                            <label class="control-label small  m-0 text-nowrap small short-text font-10" for="default_combined_cancel_pending_trigger" data-i18n="configSection.cancelPendingperc"></label>
                            <input name="default_combined_cancel_pending_trigger" id="default_combined_cancel_pending_trigger" data-setting-type="PAIRS"
                              class="form-control keepEnabled config-input" type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap short-text font-10 " for="default_stop_loss_trigger" data-i18n="configSection.stopLossTrigger"></label>
                            <label class="control-label small  m-0 text-nowrap full-text " for="default_stop_loss_trigger" data-i18n="configSection.stopLossTrigger"></label>
                            <input name="default_stop_loss_trigger" id="default_stop_loss_trigger" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap short-text font-10 " for="default_stop_loss_timeout" data-i18n="configSection.stopLossTimeout"></label>
                            <label class="control-label small  m-0 text-nowrap full-text " for="default_stop_loss_timeout" data-i18n="configSection.stopLossTimeout"></label>
                            <input name="default_stop_loss_timeout" id="default_stop_loss_timeout" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="row text-center">
                    <div class="col-md-12">
  
                      <div class="row justify-content-center align-items-center">
                        <div class="col-md-1" align="center">
                          <input data-setting-type="PAIRS" class="tgl tgl-skewed config-input" type="checkbox" data-val="true" value="" name="default_trading_enabled"
                            id="default_trading_enabled" />
                          <label class="tgl-btn mainswitch small" data-tg-off="Trading OFF" data-tg-on="Trading ON" for="default_trading_enabled"></label>
                        </div>
                        <div class="col-md-1" align="center">
                          <input data-setting-type="PAIRS" class="tgl tgl-skewed config-input" type="checkbox" data-val="true" value="" name="default_sell_only_mode_enabled"
                            id="default_sell_only_mode_enabled" />
                          <label class="tgl-btn mainswitch small " data-tg-off="SOM OFF" data-tg-on="SOM ON" for="default_sell_only_mode_enabled"></label>
                        </div>
                        <div class="col-md-1" align="center">
                          <input data-setting-type="PAIRS" class="tgl tgl-skewed panic-input config-input" type="checkbox" data-val="true" value=""
                            name="default_panic_sell_enabled" id="default_panic_sell_enabled" />
                          <label class="tgl-btn mainswitch small panic" data-tg-off="PANIC OFF" data-tg-on="PANIC ON" for="default_panic_sell_enabled"></label>
                        </div>
                        <div class="col-md-1" align="center">
                          <input data-setting-type="PAIRS" class="tgl tgl-skewed config-input" type="checkbox" data-val="true" value="" name="orderbook_profit_calculation"
                            id="orderbook_profit_calculation" />
                          <label class="tgl-btn mainswitch small" data-tg-off="Orderbook Calc OFF" data-tg-on="Orderbook Calc ON" for="orderbook_profit_calculation"></label>
                        </div>
                        <div class="col-md-1" align="center">
                          <input data-setting-type="PAIRS" class="tgl tgl-skewed config-input pairscombined" type="checkbox" data-val="true" value="" name="default_combine_pending_orders"
                            id="default_combine_pending_orders" />
                          <label class="tgl-btn mainswitch small" data-tg-off="COMB PENDING" data-tg-on="COMB PENDING" for="default_combine_pending_orders"></label>
                        </div>
                        <div class="col-md-1" align="center">
                          <button id="blackListButton" class="btn btn-sm btn-dark" data-toggle="tooltip" data-placement="top" data-i18n="[title]constantMsgs.manageBlackList;configSection.blacklist"
                            title=""></button>
                        </div>
                      </div>
                    </div>
  
                  </div>
                </div>
                <!--  PAIRS tab end-->
  
                <!--*****************************************************-->
  
                <!--  DCA tab -->
                <div class="tab-pane fade" id="dca">
  
                  <div class="row justify-content-center">
                    <div class="d-flex balancecol card-box col-md-5">
                      <div class="row justify-content-center">
  
                        <div class="col-md">
                          <label class="control-label small  m-0 text-nowrap full-text" for="dca_keep_balance"  data-i18n="configSection.keepBalance"></label>
                          <label class="control-label small  m-0 text-nowrap short-text font-10" for="dca_keep_balance"  data-i18n="configSection.keepBalance"></label>
                          <input name="dca_keep_balance" id="dca_keep_balance" data-setting-type="DCA" class="form-control keepEnabled config-input"
                            type="text">
                        </div>
                        <div class="col-md">
                          <label class="control-label small  m-0 text-nowrap full-text" for="dca_keep_balance_percentage"  data-i18n="configSection.keepBalancePer"></label>
                          <label class="control-label small  m-0 text-nowrap short-text font-10" for="dca_keep_balance_percentage"  data-i18n="configSection.keepBalancePer"></label>
                          <input name="dca_keep_balance_percentage" id="dca_keep_balance_percentage" data-setting-type="DCA" class="form-control keepEnabled config-input"
                            type="text">
                        </div>
                      <div class="col-md-2">
                        <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_enabled" data-i18n="configSection.dcaEnabled"></label>
                        <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_enabled" data-i18n="configSection.dcaEnabled"></label>
                        <input name="default_dca_enabled" id="default_dca_enabled" data-setting-type="PAIRS" class="form-control keepEnabled config-input"
                          type="text" list="boolean">
                      </div>
                      <datalist id="boolean">
                        <option value="true">
                        <option value="false">
                      </datalist>
                        <div class="col-md">
                          <label class="control-label small  m-0 text-nowrap small full-text" for="default_dca_max_cost"  data-i18n="configSection.maxCost"></label>
                          <label class="control-label small  m-0 text-nowrap small short-text font-10" for="default_dca_max_cost"  data-i18n="configSection.maxCost"></label>
                          <input name="default_dca_max_cost" id="default_dca_max_cost" data-setting-type="DCA" class="form-control keepEnabled config-input"
                            type="text">
                        </div>
                        <div class="col-md">
                          <label class="control-label small  m-0 text-nowrap small full-text" for="default_dca_max_buy_times"  data-i18n="configSection.maxBuyTimes"></label>
                          <label class="control-label small  m-0 text-nowrap small short-text font-10" for="default_dca_max_buy_times"  data-i18n="configSection.maxBuyTimes"></label>
                          <input name="default_dca_max_buy_times" id="default_dca_max_buy_times" data-setting-type="DCA" class="form-control keepEnabled config-input"
                            type="text">
                        </div>
                      </div>
                    </div>
  
                  </div>
                  <div class="row text-center">
                    <div class="card-box col-md buycol bc">
                      <div class="col buyrowAB">
                        <div class="row">
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap  full-text buy-label" for="default_dca_a_buy_strategy"  data-i18n="configSection.buyStrategyA"></label>
                            <label class="control-label small  m-0 text-nowrap  short-text font-10 buy-label" for="default_dca_a_buy_strategy"  data-i18n="configSection.buyA"></label>
  
                            <div class="pull-left m-0 p-0">
                              <input data-setting-type="DCA" class="tgl tgl-skewed config-input newback" type="checkbox" data-val="true" value="true" name="default_dca_a_buy_on_first_signal"
                                id="default_dca_a_buy_on_first_signal">
                              <label title="Buy on 1st signal" class="tgl-btn tgl-btn2 small font-10" data-tg-off="1st" data-tg-on="1st" for="default_dca_a_buy_on_first_signal"></label>
                            </div>
                            <select class="custom-select config-input  form-control mr-md-2 keepEnabled" data-setting-type="DCA" name="default_dca_a_buy_strategy"
                              id="default_dca_a_buy_strategy">
                              <option value="" selected data-i18n="configSection.choose"></option>
                              <option value="ANDERSON" data-i18n="configSection.anderson"></option>
                              <#list buyStrategies as strategy>
                                <option value="${strategy}">${strategy}</option>
                              </#list>
                            </select>
  
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text " for="default_dca_a_buy_value"  data-i18n="configSection.buyValueA"></label>
                            <label class="control-label small  m-0 text-nowrap  short-text font-10" for="default_dca_a_buy_value"  data-i18n="configSection.buyValA"></label>
                            <input name="default_dca_a_buy_value" id="default_dca_a_buy_value" data-setting-type="DCA" class="form-control config-input keepEnabled"
                              type="text">
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text " for="default_dca_a_buy_value_limit"  data-i18n="configSection.buyLimitA"></label>
                            <label class="control-label small  m-0 text-nowrap  short-text font-10" for="default_dca_a_buy_value_limit"  data-i18n="configSection.buyLimA"></label>
                            <input name="default_dca_a_buy_value_limit" id="default_dca_a_buy_value_limit" data-setting-type="DCA" class="form-control config-input keepEnabled"
                              type="text">
                          </div>
                          <div class="col-1 pl-3 pt-1">
                            <span class="plusminus hide"></span>
                          </div>
                        </div>
                      </div>
                      <div class="col buyrow">
                        <div class="row">
                          <div class="col-md">
                            <label class="control-label small m-0 text-nowrap full-text buy-label" for="default_dca_b_buy_strategy"  data-i18n="configSection.buyStrategyB"></label>
                            <label class="control-label small m-0 text-nowrap short-text font-10 buy-label" for="default_dca_b_buy_strategy"  data-i18n="configSection.buyB"></label>
                            <div class="pull-left m-0 p-0">
                              <input data-setting-type="DCA" class="tgl tgl-skewed config-input newback" type="checkbox" data-val="true" value="true" name="default_dca_b_buy_on_first_signal"
                                id="default_dca_b_buy_on_first_signal">
                              <label title="Buy on 1st signal" class="tgl-btn tgl-btn2 small font-10" data-tg-off="1st" data-tg-on="1st" for="default_dca_b_buy_on_first_signal"></label>
                            </div>
                            <select class="custom-select config-input form-control " data-setting-type="DCA" name="default_dca_b_buy_strategy" id="default_dca_b_buy_strategy"
                              disabled>
                              <option value="" selected data-i18n="configSection.choose"></option>
                              <option value="ANDERSON" data-i18n="configSection.anderson"></option>
                              <#list buyStrategies as strategy>
                                <option value="${strategy}">${strategy}</option>
                              </#list>
                            </select>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_b_buy_value"  data-i18n="configSection.buyValueB"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_b_buy_value"  data-i18n="configSection.buyValB"></label>
                            <input name="default_dca_b_buy_value" id="default_dca_b_buy_value" data-setting-type="DCA" class="form-control config-input"
                              type="text" disabled>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_b_buy_value_limit"  data-i18n="configSection.buyLimitB"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_b_buy_value_limit"  data-i18n="configSection.buyLimB"></label>
                            <input name="default_dca_b_buy_value_limit" id="default_dca_b_buy_value_limit" data-setting-type="DCA" class="form-control config-input"
                              type="text" disabled>
                          </div>
                          <div class="col-1 pl-3 pt-1">
                            <span class="badge badge-success pull-left plusminus">
  
                            </span>
                          </div>
                        </div>
                      </div>
                      <div class="col buyrow">
                        <div class="row">
                          <div class="col-md">
                            <label class="control-label small m-0 text-nowrap full-text buy-label" for="default_dca_c_buy_strategy"  data-i18n="configSection.buyStrategyC"></label>
                            <label class="control-label small m-0 text-nowrap short-text font-10 buy-label" for="default_dca_c_buy_strategy"  data-i18n="configSection.buyC"></label>
                            <div class="pull-left m-0 p-0">
                              <input data-setting-type="DCA" class="tgl tgl-skewed config-input newback" type="checkbox" data-val="true" value="true" name="default_dca_c_buy_on_first_signal"
                                id="default_dca_c_buy_on_first_signal">
                              <label title="Buy on 1st signal" class="tgl-btn tgl-btn2 small font-10" data-tg-off="1st" data-tg-on="1st" for="default_dca_c_buy_on_first_signal"></label>
                            </div>
                            <select class="custom-select config-input form-control " data-setting-type="DCA" name="default_dca_c_buy_strategy" id="default_dca_c_buy_strategy"
                              disabled>
                              <option value="" selected data-i18n="configSection.choose"></option>
                              <option value="ANDERSON" data-i18n="configSection.anderson"></option>
                              <#list buyStrategies as strategy>
                                <option value="${strategy}">${strategy}</option>
                              </#list>
                            </select>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_c_buy_value"  data-i18n="configSection.buyValueC"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_c_buy_value"  data-i18n="configSection.buyValC"></label>
                            <input name="default_dca_c_buy_value" id="default_dca_c_buy_value" data-setting-type="DCA" class="form-control config-input"
                              type="text" disabled>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_c_buy_value_limit"  data-i18n="configSection.buyLimitC"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_c_buy_value_limit"  data-i18n="configSection.buyLimC"></label>
                            <input name="default_dca_c_buy_value_limit" id="default_dca_c_buy_value_limit" data-setting-type="DCA" class="form-control config-input"
                              type="text" disabled>
                          </div>
                          <div class="col-1 pl-3 pt-1">
                            <span class="badge badge-success pull-left plusminus">
                              <span class="fa fa-plus plusminusi"></span>
                            </span>
                          </div>
                        </div>
                      </div>
                      <div class="col buyrow">
                        <div class="row">
                          <div class="col-md">
                            <label class="control-label small m-0 text-nowrap full-text buy-label" for="default_dca_d_buy_strategy"  data-i18n="configSection.buyStrategyD"></label>
                            <label class="control-label small m-0 text-nowrap short-text font-10 buy-label" for="default_dca_d_buy_strategy"  data-i18n="configSection.buyD"></label>
                            <div class="pull-left m-0 p-0">
                              <input data-setting-type="DCA" class="tgl tgl-skewed config-input newback" type="checkbox" data-val="true" value="true" name="default_dca_d_buy_on_first_signal"
                                id="default_dca_d_buy_on_first_signal">
                              <label title="Buy on 1st signal" class="tgl-btn tgl-btn2 small font-10" data-tg-off="1st" data-tg-on="1st" for="default_dca_d_buy_on_first_signal"></label>
                            </div>
                            <select class="custom-select config-input form-control " data-setting-type="DCA" name="default_dca_d_buy_strategy" id="default_dca_d_buy_strategy"
                              disabled>
                              <option value="" selected data-i18n="configSection.choose"></option>
                              <option value="ANDERSON" data-i18n="configSection.anderson"></option>
                              <#list buyStrategies as strategy>
                                <option value="${strategy}">${strategy}</option>
                              </#list>
                            </select>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_d_buy_value"  data-i18n="configSection.buyValueD"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_d_buy_value"  data-i18n="configSection.buyLimD"></label>
                            <input name="default_dca_d_buy_value" id="default_dca_d_buy_value" data-setting-type="DCA" class="form-control config-input"
                              type="text" disabled>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_d_buy_value_limit"  data-i18n="configSection.buyLimitD"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_d_buy_value_limit"  data-i18n="configSection.buyValD"></label>
                            <input name="default_dca_d_buy_value_limit" id="default_dca_d_buy_value_limit" data-setting-type="DCA" class="form-control config-input"
                              type="text" disabled>
                          </div>
                          <div class="col-1 pl-3 pt-1">
                            <span class="badge badge-success pull-left plusminus">
                              <span class="fa fa-plus plusminusi"></span>
                            </span>
                          </div>
                        </div>
                      </div>
                      <div class="col buyrow">
                        <div class="row">
                          <div class="col-md">
                            <label class="control-label small m-0 text-nowrap full-text buy-label" for="default_dca_e_buy_strategy"  data-i18n="configSection.buyStrategyE"></label>
                            <label class="control-label small m-0 text-nowrap short-text font-10 buy-label" for="default_dca_e_buy_strategyult_d_buy_value_limit"  data-i18n="configSection.buyE"></label>
                            <div class="pull-left m-0 p-0">
                              <input data-setting-type="DCA" class="tgl tgl-skewed config-input newback" type="checkbox" data-val="true" value="true" name="default_dca_e_buy_on_first_signal"
                                id="default_dca_e_buy_on_first_signal">
                              <label title="Buy on 1st signal" class="tgl-btn tgl-btn2 small font-10" data-tg-off="1st" data-tg-on="1st" for="default_dca_e_buy_on_first_signal"></label>
                            </div>
                            <select class="custom-select config-input form-control " data-setting-type="DCA" name="default_dca_e_buy_strategy" id="default_dca_e_buy_strategy"
                              disabled>
                              <option value="" selected data-i18n="configSection.choose"></option>
                              <option value="ANDERSON" data-i18n="configSection.anderson"></option>
                              <#list buyStrategies as strategy>
                                <option value="${strategy}">${strategy}</option>
                              </#list>
                            </select>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_e_buy_value"  data-i18n="configSection.buyValueE"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_e_buy_value"  data-i18n="configSection.buyValE"></label>
                            <input name="default_dca_e_buy_value" id="default_dca_e_buy_value" data-setting-type="DCA" class="form-control config-input"
                              type="text" disabled>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_e_buy_value_limit"  data-i18n="configSection.buyLimitE"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_e_buy_value_limit"  data-i18n="configSection.buyLimE"></label>
                            <input name="default_dca_e_buy_value_limit" id="default_dca_e_buy_value_limit" data-setting-type="DCA" class="form-control config-input"
                              type="text" disabled>
                          </div>
                          <div class="col-1 pl-3 pt-1">
                            <span class="badge badge-success pull-left plusminus">
                              <span class="fa fa-plus plusminusi"></span>
                            </span>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="card-box col-md-2 bc">
                      <div class="col">
                        <div class="row">
  
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_trailing_buy"  data-i18n="configSection.trailingBuy"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_trailing_buy"  data-i18n="configSection.trailingBuy"></label>
                            <input name="default_dca_trailing_buy" id="default_dca_trailing_buy" data-setting-type="DCA" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
  
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_min_buy_volume"  data-i18n="configSection.minBuyVolume"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_min_buy_volume"  data-i18n="configSection.minVol"></label>
                            <input name="default_dca_min_buy_volume" id="default_dca_min_buy_volume" data-setting-type="DCA" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
  
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_max_buy_spread"  data-i18n="configSection.maxBuySpread"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_max_buy_spread"  data-i18n="configSection.maxSpread"></label>
                            <input name="default_dca_max_buy_spread" id="default_dca_max_buy_spread" data-setting-type="DCA" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_min_orderbook_volume_percentage"  data-i18n="configSection.minOrderbookPerc"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="max_trading_pairs"  data-i18n="configSection.minOrderbookPerc"></label>
                            <input name="default_dca_min_orderbook_volume_percentage" id="default_dca_min_orderbook_volume_percentage" data-setting-type="DCA"
                              class="form-control keepEnabled config-input" type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap small full-text" for="default_dca_buy_min_change_percentage"  data-i18n="configSection.buyMinChgPerc"></label>
                            <label class="control-label small  m-0 text-nowrap small short-text font-10" for="default_dca_buy_min_change_percentage"  data-i18n="configSection.buyMinChgPerc"></label>
                            <input name="default_dca_buy_min_change_percentage" id="default_dca_buy_min_change_percentage" data-setting-type="DCA" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap small full-text" for="default_dca_buy_max_change_percentage"  data-i18n="configSection.buyMaxChgPerc"></label>
                            <label class="control-label small  m-0 text-nowrap small short-text font-10" for="default_dca_buy_max_change_percentage"  data-i18n="configSection.buyMaxChgPerc"></label>
                            <input name="default_dca_buy_max_change_percentage" id="default_dca_buy_max_change_percentage" data-setting-type="DCA" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap small full-text" for="som_dca_buy_trigger"  data-i18n="configSection.somBuyTrigger"></label>
                            <label class="control-label small  m-0 text-nowrap small short-text font-10" for="som_dca_buy_trigger"  data-i18n="configSection.somBuyTrigger"></label>
                            <input name="som_dca_buy_trigger" id="som_dca_buy_trigger" data-setting-type="DCA" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap small full-text" for="default_dca_rebuy_timeout"  data-i18n="configSection.rebuyTimeout"></label>
                            <label class="control-label small  m-0 text-nowrap small short-text font-10" for="default_dca_rebuy_timeout"  data-i18n="configSection.rebuyTimeout"></label>
                            <input name="default_dca_rebuy_timeout" id="default_dca_rebuy_timeout" data-setting-type="DCA" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_buy_trigger"  data-i18n="configSection.buyTriggers"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_buy_trigger"  data-i18n="configSection.buyTriggers"></label>
                            <input name="default_dca_buy_trigger" id="default_dca_buy_trigger" data-setting-type="DCA" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_buy_percentage"  data-i18n="configSection.buyPercentages"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_buy_percentage"  data-i18n="configSection.buyPercs"></label>
                            <input name="default_dca_buy_percentage" id="default_dca_buy_percentage" data-setting-type="DCA" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="card-box col-md buycol sc">
                      <div class="col sellrowAB">
                        <div class="row">
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_a_sell_strategy"  data-i18n="configSection.sellStrategyA"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_a_sell_strategy"  data-i18n="configSection.sellA"></label>
                            <select class="custom-select config-input form-control " data-setting-type="DCA" name="default_dca_a_sell_strategy" id="default_dca_a_sell_strategy">
                              <option value="" selected data-i18n="configSection.choose"></option>
                              <#list sellStrategies as strategy>
                                <option value="${strategy}">${strategy}</option>
                              </#list>
                            </select>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_a_sell_value"  data-i18n="configSection.sellValueA"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_a_sell_value"  data-i18n="configSection.sellValA"></label>
                            <input name="default_dca_a_sell_value" id="default_dca_a_sell_value" data-setting-type="DCA" class="form-control config-input"
                              type="text">
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_a_sell_value"  data-i18n="configSection.sellValueALimit"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_a_sell_value_limit"  data-i18n="configSection.sellValALim"></label>
                            <input name="default_dca_a_sell_value_limit" id="default_dca_a_sell_value_limit" data-setting-type="DCA" class="form-control config-input keepEnabled"
                              type="text">
                          </div>
                          <div class="col-1">
                          </div>
                        </div>
                      </div>
                      <div class="col sellrowA " id="sell1">
                        <div class="row">
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_b_sell_strategy"  data-i18n="configSection.sellStrategyB"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_b_sell_strategy"  data-i18n="configSection.sellB"></label>
                            <select class="custom-select config-input form-control " data-setting-type="DCA" name="default_dca_b_sell_strategy" id="default_dca_b_sell_strategy"
                              disabled>
                              <option value="" selected data-i18n="configSection.choose"></option>
                              <#list sellStrategies as strategy>
                                <option value="${strategy}">${strategy}</option>
                              </#list>
                            </select>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_b_sell_value"  data-i18n="configSection.sellValueB"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_b_sell_value"  data-i18n="configSection.sellValB"></label>
                            <input name="default_dca_b_sell_value" id="default_dca_b_sell_value" data-setting-type="DCA" class="form-control config-input"
                              type="text" disabled>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_b_sell_value_limit"  data-i18n="configSection.sellValueALimit"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_b_sell_value_limit"  data-i18n="configSection.sellValALim"></label>
                            <input name="default_dca_b_sell_value_limit" id="default_dca_b_sell_value_limit" data-setting-type="DCA" class="form-control config-input"
                              type="text">
                          </div>
                          <div class="col-1 pl-3 pt-1">
                            <span class="badge badge-success pull-left plusminus">
                              <i class="fa fa-plus plusminusi"></i>
                            </span>
                          </div>
                        </div>
                      </div>
                      <div class="col sellrowA " id="sell2">
                        <div class="row">
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_c_sell_strategy"  data-i18n="configSection.sellStrategyC"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_c_sell_strategy"  data-i18n="configSection.sellC"></label>
                            <select class="custom-select config-input form-control " data-setting-type="DCA" name="default_dca_c_sell_strategy" id="default_dca_c_sell_strategy"
                              disabled>
                              <option value="" selected data-i18n="configSection.choose"></option>
                              <#list sellStrategies as strategy>
                                <option value="${strategy}">${strategy}</option>
                              </#list>
                            </select>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_c_sell_value"  data-i18n="configSection.sellValueC"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_c_sell_value"  data-i18n="configSection.sellValC"></label>
                            <input name="default_dca_c_sell_value" id="default_dca_c_sell_value" data-setting-type="DCA" class="form-control config-input"
                              type="text" disabled>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_c_sell_value_limit"  data-i18n="configSection.sellValueALimit"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_c_sell_value_limit"  data-i18n="configSection.sellValALim"></label>
                            <input name="default_dca_c_sell_value_limit" id="default_dca_c_sell_value_limit" data-setting-type="DCA" class="form-control config-input"
                              type="text">
                          </div>
                          <div class="col-1 pl-3 pt-1">
                            <span class="badge badge-success pull-left plusminus">
                              <i class="fa fa-plus plusminusi"></i>
                            </span>
                          </div>
                        </div>
                      </div>
                      <div class="col sellrowA " id="sell3">
                        <div class="row">
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_d_sell_strategy"  data-i18n="configSection.sellStrategyD"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_d_sell_strategy"  data-i18n="configSection.sellD"></label>
                            <select class="custom-select config-input form-control " data-setting-type="DCA" name="default_dca_d_sell_strategy" id="default_dca_d_sell_strategy"
                              disabled>
                              <option value="" selected data-i18n="configSection.choose"></option>
                              <#list sellStrategies as strategy>
                                <option value="${strategy}">${strategy}</option>
                              </#list>
                            </select>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_d_sell_value"  data-i18n="configSection.sellValueD"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_d_sell_value"  data-i18n="configSection.sellValD"></label>
                            <input name="default_dca_d_sell_value" id="default_dca_d_sell_value" data-setting-type="DCA" class="form-control config-input"
                              type="text" disabled>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_d_sell_value_limit"  data-i18n="configSection.sellValueALimit"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_d_sell_value_limit"  data-i18n="configSection.sellValALim"></label>
                            <input name="default_dca_d_sell_value_limit" id="default_dca_d_sell_value_limit" data-setting-type="DCA" class="form-control config-input"
                              type="text">
                          </div>
                          <div class="col-1 pl-3 pt-1">
                            <span class="badge badge-success pull-left plusminus">
                              <i class="fa fa-plus plusminusi"></i>
                            </span>
                          </div>
                        </div>
                      </div>
                      <div class="col sellrowA " id="sell4">
                        <div class="row">
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_e_sell_strategy"  data-i18n="configSection.sellStrategyE"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_e_sell_strategy"  data-i18n="configSection.sellE"></label>
                            <select class="custom-select config-input form-control " data-setting-type="DCA" name="default_dca_e_sell_strategy" id="default_dca_e_sell_strategy"
                              disabled>
                              <option value="" selected data-i18n="configSection.choose"></option>
                              <#list sellStrategies as strategy>
                                <option value="${strategy}">${strategy}</option>
                              </#list>
                            </select>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_e_sell_value"  data-i18n="configSection.sellValueE"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_e_sell_value"  data-i18n="configSection.sellValE"></label>
                            <input name="default_dca_e_sell_value" id="default_dca_e_sell_value" data-setting-type="DCA" class="form-control config-input"
                              type="text" disabled>
                          </div>
                          <div class="col-md">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_e_sell_value_limit"  data-i18n="configSection.sellValueALimit"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_e_sell_value_limit"  data-i18n="configSection.sellValALim"></label>
                            <input name="default_dca_e_sell_value_limit" id="default_dca_e_sell_value_limit" data-setting-type="DCA" class="form-control config-input"
                              type="text">
                          </div>
                          <div class="col-1 pl-3 pt-1">
                            <span class="badge badge-success pull-left plusminus">
                              <i class="fa fa-plus plusminusi"></i>
                            </span>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="card-box col-md-2 sc">
                      <div class="col">
                        <div class="row">
  
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap short-text font-10 " for="default_dca_trailing_profit"  data-i18n="configSection.trailingProfit"></label>
                            <label class="control-label small  m-0 text-nowrap full-text " for="default_dca_dca_trailing_profit"  data-i18n="configSection.trailingProfit"></label>
                            <input name="default_dca_trailing_profit" id="default_dca_trailing_profit" data-setting-type="DCA" class="form-control config-input keepEnabled"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap full-text" for="default_dca_trailing_profit_type"  data-i18n="configSection.smartTrailingType"></label>
                            <label class="control-label small  m-0 text-nowrap short-text font-10" for="default_dca_trailing_profit_type"  data-i18n="configSection.smartTrailing"></label>
                            <select class="custom-select config-input form-control keepEnabled" data-setting-type="DCA" name="default_dca_trailing_profit_type"
                              id="default_dca_trailing_profit_type">
                              <option value="" selected data-i18n="configSection.choose"></option>
                              <option value="DEFAULT" data-i18n="configOptions.default"></option>
                              <option value="GROW" data-i18n="configSection.grow"></option>
                              <option value="SHRINK" data-i18n="configSection.shrink"></option>
                            </select>
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap small full-text" for="default_dca_max_profit"  data-i18n="configSection.maxProfit"></label>
                            <label class="control-label small  m-0 text-nowrap small short-text font-10" for="default_dca_max_profit"  data-i18n="configSection.maxProfit"></label>
                            <input name="default_dca_max_profit" id="default_dca_max_profit" data-setting-type="DCA" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap small full-text" for="default_dca_take_profit_percentage"  data-i18n="configSection.takeProfitPerc"></label>
                            <label class="control-label small  m-0 text-nowrap small short-text font-10" for="default_dca_take_profit_percentage"  data-i18n="configSection.takeProfitPerc"></label>
                            <input name="default_dca_take_profit_percentage" id="default_dca_take_profit_percentage" data-setting-type="DCA" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap small full-text" for="default_dca_take_profit_wait_time"  data-i18n="configSection.takeProfitWait"></label>
                            <label class="control-label small  m-0 text-nowrap small short-text font-10" for="default_dca_take_profit_wait_time"  data-i18n="configSection.takeProfitWait"></label>
                            <input name="default_dca_take_profit_wait_time" id="default_dca_take_profit_wait_time" data-setting-type="DCA" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap small full-text" for="default_dca_take_profit_reset_percentage_move"  data-i18n="configSection.TakeProfitMovePerc"></label>
                            <label class="control-label small  m-0 text-nowrap small short-text font-10" for="default_dca_take_profit_reset_percentage_move"  data-i18n="configSection.TakeProfitMovePerc"></label>
                            <input name="default_dca_take_profit_reset_percentage_move" id="default_dca_take_profit_reset_percentage_move" data-setting-type="DCA"
                              class="form-control keepEnabled config-input" type="text">
                          </div>
  
  
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap short-text font-10 " for="default_dca_stop_loss_trigger"  data-i18n="configSection.stopLossTrigger"></label>
                            <label class="control-label small  m-0 text-nowrap full-text " for="default_dca_stop_loss_trigger"  data-i18n="configSection.stopLossTrigger"></label>
                            <input name="default_dca_stop_loss_trigger" id="default_dca_stop_loss_trigger" data-setting-type="DCA" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap short-text font-10 " for="default_dca_stop_loss_timeout" data-i18n="configSection.stopLossTimeout"></label>
                            <label class="control-label small  m-0 text-nowrap full-text " for="default_dca_stop_loss_timeout" data-i18n="configSection.stopLossTimeout"></label>
                            <input name="default_dca_stop_loss_timeout" id="default_dca_stop_loss_timeout" data-setting-type="DCA" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
                            <label class="control-label small  m-0 text-nowrap small full-text" for="default_dca_pending_order_wait_time"  data-i18n="configSection.pendingOrderWait"></label>
                            <label class="control-label small  m-0 text-nowrap small short-text font-10" for="default_dca_pending_order_wait_time"  data-i18n="configSection.pendingWait"></label>
                            <input name="default_dca_pending_order_wait_time" id="default_dca_pending_order_wait_time" data-setting-type="DCA" class="form-control keepEnabled config-input"
                              type="text">
                          </div>
                          <div class="col-6">
  
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="row text-center">
                    <div class="col-md-12">
  
                      <div class="row justify-content-center align-items-center">
                        <div class="col-md-1" align="center">
                          <input data-setting-type="DCA" class="tgl tgl-skewed config-input" type="checkbox" data-val="true" value="" name="default_dca_ignore_sell_only_mode"
                            id="default_dca_ignore_sell_only_mode" />
                          <label class="tgl-btn mainswitch small " data-tg-off="Ignore SOM" data-tg-on="Ignore SOM" for="default_dca_ignore_sell_only_mode"></label>
                        </div>
                        <div class="col-md-1" align="center">
                          <input data-setting-type="DCA" class="tgl tgl-skewed config-input" type="checkbox" data-val="true" value="" name="dca_orderbook_profit_calculation"
                            id="dca_orderbook_profit_calculation" />
                          <label class="tgl-btn mainswitch small" data-tg-off="Orderbook Calc OFF" data-tg-on="Orderbook Calc ON" for="dca_orderbook_profit_calculation"></label>
                        </div>
                        <div class="col-md-1" align="center">
                          <input data-setting-type="DCA" class="tgl tgl-skewed config-input dcacombined" type="checkbox" data-val="true" value="" name="default_dca_combine_pending_orders"
                            id="default_dca_combine_pending_orders" />
                          <label class="tgl-btn mainswitch small" data-tg-off="COMB PENDING" data-tg-on="COMB PENDING" for="default_dca_combine_pending_orders"></label>
                        </div>
                      </div>
                    </div>
  
                  </div>
                </div>
                <!--  DCA tab end-->
  
                <!--*****************************************************-->
  
                <div class="tab-pane fade" id="indicators">
                  <div class="row">
                    <div class="col card-box bc">
                      <div class="row justify-content-center align-items-center">
                        <div class="col-md-1"></div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="bb_candle_period"  data-i18n="configSection.bbPeriod"></label>
                          <select class="custom-select config-input form-control keepEnabled" data-setting-type="INDICATORS" name="bb_candle_period"
                            id="bb_candle_period">
                            <#include "/includes/exchangePeriods.ftl">
                          </select>
                        </div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="bb_length"  data-i18n="configSection.bbLength"></label>
                          <input name="bb_length" id="bb_length" data-setting-type="PAIRS" class="form-control config-input keepEnabled" type="text">
                        </div>
                        <div class="col-md-2 align-items-center"></div>
                        <div class="col-md-2">
                          <label class="control-label small  m-0 text-nowrap" for="bb_std"  data-i18n="configSection.bbStd"></label>
                          <input name="bb_std" id="bb_std" data-setting-type="INDICATORS" class="form-control config-input keepEnabled" type="text">
                        </div>
  
                        <div class="col-md-1"></div>
                      </div>
                      <div class="row justify-content-center align-items-center">
                        <div class="col-md-1"></div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="obv_candle_period"  data-i18n="configSection.obvPeriod"></label>
                          <select class="custom-select config-input form-control keepEnabled" data-setting-type="INDICATORS" name="obv_candle_period"
                            id="obv_candle_period">
                            <#include "/includes/exchangePeriods.ftl">
                          </select>
                        </div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="obv_length"  data-i18n="configSection.obvLength"></label>
                          <input name="obv_length" id="obv_length" data-setting-type="INDICATORS" class="form-control config-input keepEnabled" type="text">
                        </div>
                        <div class="col-md-2 align-items-center"></div>
                        <div class="col-md-2">
                          <label class="control-label small  m-0 text-nowrap" for="obv_signal"  data-i18n="configSection.obvSignal"></label>
                          <input name="obv_signal" id="obv_signal" data-setting-type="INDICATORS" class="form-control config-input keepEnabled" type="text">
                        </div>
  
                        <div class="col-md-1"></div>
                      </div>
                      <div class="row justify-content-center align-items-center">
                        <div class="col-md-1"></div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="sma_candle_period"  data-i18n="configSection.smaPeriod"></label>
                          <select class="custom-select config-input form-control keepEnabled" data-setting-type="INDICATORS" name="sma_candle_period"
                            id="sma_candle_period">
                            <#include "/includes/exchangePeriods.ftl">
                          </select>
                        </div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="sma_fast_length"  data-i18n="configSection.smaFastLength"></label>
                          <input name="sma_fast_length" id="sma_fast_length" data-setting-type="INDICATORS" class="form-control config-input keepEnabled"
                            type="text">
                        </div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="sma_slow_length"  data-i18n="configSection.smaSlowLength"></label>
                          <input name="sma_slow_length" id="sma_slow_length" data-setting-type="INDICATORS" class="form-control config-input keepEnabled"
                            type="text">
                        </div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="sma_cross_candles"  data-i18n="configSection.smaCrossCandles"></label>
                          <input name="sma_cross_candles" id="sma_cross_candles" data-setting-type="INDICATORS" class="form-control config-input keepEnabled"
                            type="text">
                        </div>
                        <div class="col-md-1"></div>
                      </div>
                      <div class="row justify-content-center align-items-center">
                        <div class="col-md-1"></div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="ema_candle_period"  data-i18n="configSection.emaPeriod"></label>
                          <select class="custom-select config-input form-control keepEnabled" data-setting-type="INDICATORS" name="ema_candle_period"
                            id="ema_candle_period">
                            <#include "/includes/exchangePeriods.ftl">
                          </select>
                        </div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="ema_fast_length"  data-i18n="configSection.emaFastLength"></label>
                          <input name="ema_fast_length" id="ema_fast_length" data-setting-type="INDICATORS" class="form-control config-input keepEnabled"
                            type="text">
                        </div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="ema_slow_length"  data-i18n="configSection.emaSlowLength"></label>
                          <input name="ema_slow_length" id="ema_slow_length" data-setting-type="INDICATORS" class="form-control config-input keepEnabled"
                            type="text">
                        </div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="ema_cross_candles"  data-i18n="configSection.emaCrossCandles"></label>
                          <input name="ema_cross_candles" id="ema_cross_candles" data-setting-type="INDICATORS" class="form-control config-input keepEnabled"
                            type="text">
                        </div>
                        <div class="col-md-1"></div>
                      </div>
                      <div class="row justify-content-center align-items-center">
                        <div class="col-md-1"></div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="rsi_candle_period"  data-i18n="configSection.rsiPeriod"></label>
                          <select class="custom-select config-input form-control keepEnabled" data-setting-type="INDICATORS" name="rsi_candle_period"
                            id="rsi_candle_period">
                            <#include "/includes/exchangePeriods.ftl">
                          </select>
                        </div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="rsi_length"  data-i18n="configSection.rsiLength"></label>
                          <input name="rsi_length" id="rsi_length" data-setting-type="INDICATORS" class="form-control config-input keepEnabled" type="text">
                        </div>
                        <div class="col-md-2"></div>
                        <div class="col-md-2"></div>
  
                        <div class="col-md-1"></div>
                      </div>
                      <div class="row justify-content-center align-items-center">
                        <div class="col-md-1"></div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="stochrsi_candle_period"  data-i18n="configSection.stochrsiPeriod"></label>
                          <select class="custom-select config-input form-control keepEnabled" data-setting-type="INDICATORS" name="stochrsi_candle_period"
                            id="stochrsi_candle_period">
                            <#include "/includes/exchangePeriods.ftl">
                          </select>
                        </div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="stochrsi_rsi_length"  data-i18n="configSection.stochrsiRsiLen"></label>
                          <input name="stochrsi_rsi_length" id="stochrsi_rsi_length" data-setting-type="INDICATORS" class="form-control config-input keepEnabled"
                            type="text">
                        </div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="stochrsi_stoch_length"  data-i18n="configSection.stochrsiStochLen"></label>
                          <input name="stochrsi_stoch_length" id="stochrsi_stoch_length" data-setting-type="INDICATORS" class="form-control config-input keepEnabled"
                            type="text">
                        </div>
                        <div class="col-md-2"></div>
  
                        <div class="col-md-1"></div>
                      </div>
  
                    </div>
                    <div class="col card-box bc">
                      <div class="row justify-content-center align-items-center">
                        <div class="col-md-1"></div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="macd_candle_period"  data-i18n="configSection.macdPeriod"></label>
                          <select class="custom-select config-input form-control keepEnabled" data-setting-type="INDICATORS" name="macd_candle_period"
                            id="macd_candle_period">
                            <#include "/includes/exchangePeriods.ftl">
                          </select>
                        </div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="macd_fast_length"  data-i18n="configSection.macdFastLength"></label>
                          <input name="macd_fast_length" id="macd_fast_length" data-setting-type="INDICATORS" class="form-control config-input keepEnabled"
                            type="text">
                        </div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="macd_slow_length"  data-i18n="configSection.macdSlowLength"></label>
                          <input name="macd_slow_length" id="macd_slow_length" data-setting-type="INDICATORS" class="form-control config-input keepEnabled"
                            type="text">
                        </div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="macd_signal"  data-i18n="configSection.macdSignal"></label>
                          <input name="macd_signal" id="macd_signal" data-setting-type="INDICATORS" class="form-control config-input keepEnabled" type="text">
                        </div>
                        <div class="col-md-2"></div>
                        <div class="col-md-1"></div>
                      </div>
  
                      <div class="row justify-content-center align-items-center">
                        <div class="col-md-1"></div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="stoch_candle_period"  data-i18n="configSection.stochPeriod"></label>
                          <select class="custom-select config-input form-control keepEnabled" data-setting-type="INDICATORS" name="stoch_candle_period"
                            id="stoch_candle_period">
                            <#include "/includes/exchangePeriods.ftl">
                          </select>
                        </div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="stoch_length"  data-i18n="configSection.stochLength"></label>
                          <input name="stoch_length" id="stoch_length" data-setting-type="INDICATORS" class="form-control config-input keepEnabled"
                            type="text">
                        </div>
                        <div class="col-md-2"></div>
                        <div class="col-md-1 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="stoch_k"  data-i18n="configSection.k"></label>
                          <input name="stoch_k" id="stoch_k" data-setting-type="INDICATORS" class="form-control config-input keepEnabled" type="text">
                        </div>
                        <div class="col-md-1 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="stoch_d"  data-i18n="configSection.d"></label>
                          <input name="stoch_d" id="stoch_d" data-setting-type="INDICATORS" class="form-control config-input keepEnabled" type="text">
                        </div>
                        <div class="col-md-2"></div>
                        <div class="col-md-1"></div>
                      </div>
  
                      <div class="row justify-content-center align-items-center">
                        <div class="col-md-1"></div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="stochrsid_candle_period"  data-i18n="configSection.stochrsidPeriod"></label>
                          <select class="custom-select config-input form-control keepEnabled" data-setting-type="INDICATORS" name="stochrsid_candle_period"
                            id="stochrsid_candle_period">
                            <#include "/includes/exchangePeriods.ftl">
                          </select>
                        </div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="stochrsid_rsi_length"  data-i18n="configSection.stochrsidRsiLen"></label>
                          <input name="stochrsid_rsi_length" id="stochrsid_rsi_length" data-setting-type="INDICATORS" class="form-control config-input keepEnabled"
                            type="text">
                        </div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="stochrsid_stoch_length"  data-i18n="configSection.stochrsidStochLen"></label>
                          <input name="stochrsid_stoch_length" id="stochrsid_stoch_length" data-setting-type="INDICATORS" class="form-control config-input keepEnabled"
                            type="text">
                        </div>
                        <div class="col-md-1 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="stochrsid_k"  data-i18n="configSection.k"></label>
                          <input name="stochrsid_k" id="stochrsid_k" data-setting-type="INDICATORS" class="form-control config-input keepEnabled" type="text">
                        </div>
                        <div class="col-md-1 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="stochrsid_d"  data-i18n="configSection.d"></label>
                          <input name="stochrsid_d" id="stochrsid_d" data-setting-type="INDICATORS" class="form-control config-input keepEnabled" type="text">
                        </div>
                        <div class="col-md-2"></div>
                        <div class="col-md-1"></div>
                      </div>
                      <div class="row justify-content-center align-items-center">
                        <div class="col-md-1"></div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="stochrsik_candle_period"  data-i18n="configSection.stochrsikPeriod"></label>
                          <select class="custom-select config-input form-control keepEnabled" data-setting-type="INDICATORS" name="stochrsik_candle_period"
                            id="stochrsik_candle_period">
                            <#include "/includes/exchangePeriods.ftl">
                          </select>
                        </div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="stochrsik_rsi_length"  data-i18n="configSection.stochrsikRsiLen"></label>
                          <input name="stochrsik_rsi_length" id="stochrsik_rsi_length" data-setting-type="INDICATORS" class="form-control config-input keepEnabled"
                            type="text">
                        </div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="stochrsik_stoch_length"  data-i18n="configSection.stochrsikStochLen"></label>
                          <input name="stochrsik_stoch_length" id="stochrsik_stoch_length" data-setting-type="INDICATORS" class="form-control config-input keepEnabled"
                            type="text">
                        </div>
                        <div class="col-md-1 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="stochrsik_k"  data-i18n="configSection.k"></label>
                          <input name="stochrsik_k" id="stochrsik_k" data-setting-type="INDICATORS" class="form-control config-input keepEnabled" type="text">
                        </div>
                        <div class="col-md-2"></div>
                        <div class="col-md-2"></div>
                        <div class="col-md-1"></div>
                      </div>
                      <div class="row justify-content-center align-items-center">
                        <div class="col-md-1"></div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="stochrsicross_candle_period"  data-i18n="configSection.stochrsicrossPeriod"></label>
                          <select class="custom-select config-input form-control keepEnabled" data-setting-type="INDICATORS" name="stochrsicross_candle_period"
                            id="stochrsicross_candle_period">
                            <#include "/includes/exchangePeriods.ftl">
                          </select>
                        </div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="stochrsicross_rsi_length"  data-i18n="configSection.stochrsicrossRsiLen"></label>
                          <input name="stochrsicross_rsi_length" id="stochrsicross_rsi_length" data-setting-type="INDICATORS" class="form-control config-input keepEnabled"
                            type="text">
                        </div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="stochrsicross_stoch_length"  data-i18n="configSection.stochrsicrossStochLen"></label>
                          <input name="stochrsicross_stoch_length" id="stochrsicross_stoch_length" data-setting-type="INDICATORS" class="form-control config-input keepEnabled"
                            type="text">
                        </div>
                        <div class="col-md-1 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="stochrsicross_k"  data-i18n="configSection.k"></label>
                          <input name="stochrsicross_k" id="stochrsicross_k" data-setting-type="INDICATORS" class="form-control config-input keepEnabled"
                            type="text">
                        </div>
                        <div class="col-md-1 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="stochrsicross_d"  data-i18n="configSection.d"></label>
                          <input name="stochrsicross_d" id="stochrsicross_d" data-setting-type="INDICATORS" class="form-control config-input keepEnabled"
                            type="text">
                        </div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="stochrsicross_cross_candles"  data-i18n="configSection.crossCandles"></label>
                          <input name="stochrsicross_cross_candles" id="stochrsicross_cross_candles" data-setting-type="INDICATORS" class="form-control config-input keepEnabled"
                            type="text">
                        </div>
                        <div class="col-md-1"></div>
                      </div>
                      <div class="row justify-content-center align-items-center">
                        <div class="col-md-1"></div>
                        <div class="col-md-2"></div>
                        <div class="col-md-2 align-items-center">
                          <label class="control-label small  m-0 text-nowrap" for="som_trigger_length"  data-i18n="configSection.somTriggerLength"></label>
                          <input name="som_trigger_length" id="som_trigger_length" data-setting-type="INDICATORS" class="form-control config-input keepEnabled"
                            type="text">
                        </div>
                        <div class="col-md-2"></div>
                        <div class="col-md-2"></div>
                        <div class="col-md-2"></div>
                        <div class="col-md-1"></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
          </div>
        </div>
      </div>
      <div id="configurationContainer" class="row">
        <div class="col-12 configuration-heading-container text-center">
          <nav class="navbar navbar-expand-sm justify-content-center">
            <ul class="navbar-nav align-items-center">
              <li class="nav-item config-switcher-container" >
                <select class=" mr-md-2  keepEnabled config-dropdown header-select custom-select" id="configDropdown2" data-setting-type=""
                  name="">
                  <#list availableConfigs as configName>
                    <#assign isSelected = activeConfig == configName>
                    <option value="${configName}" <#if isSelected> selected="selected"</#if>>${configName}</option>
                  </#list>
                </select>
                <span class="active-config" data-i18n="configSection.activeConfig"></span>
              </li>
              <li class="nav-item ">
                <i class="fa fa-trash ml-3 removeConfig" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]constantMsgs.delete"></i>

                <i id="aceEditorSearch" class="fa fa-search ml-3" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]constantMsgs.search"></i>

                <i class="fa fa-floppy-o save-config new-config-el ml-3" id="ace-save-button" aria-hidden="true" data-toggle="tooltip" data-placement="bottom"
                  data-i18n="[title]constantMsgs.save"></i>

                <i id="new-config-file" class="fa fa-copy new-config-name new-config-el ml-3" aria-hidden="true" data-toggle="tooltip" data-placement="bottom"
                  data-i18n="[title]constantMsgs.newButton"></i>

                <i class="fa fa-share-alt share-config ml-3" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]constantMsgs.publishButton"></i>
                <i class="fa fa-download backup-config ml-3" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]constantMsgs.backupButton"></i>
              </li>
              <li class="nav-item saveli">
                <span class="show-save-message text-danger ml-3"  data-i18n="configOptions.notSaved"></span>
              </li>
            </ul>

          </nav>


        </div>
        <div class="config-tab col-12" id="acetabs">
          <ul class="nav nav-tabs tabs-bordered nav-justified">

            <li class="nav-item">
              <a href="javascript:void(0);" data-setting-type="PAIRS" class="acetab nav-link active " data-toggle="tab" aria-expanded="false" data-i18n="configOptions.pairs"></a>
            </li>
            <li class="nav-item">
              <a href="javascript:void(0);" data-setting-type="DCA" class="acetab nav-link " data-toggle="tab" aria-expanded="true" data-i18n="configOptions.dca"></a>
            </li>
            <li class="nav-item">
              <a href="javascript:void(0);" data-setting-type="INDICATORS" class="acetab nav-link" data-toggle="tab" aria-expanded="true" data-i18n="configOptions.indicators"></a>
            </li>
            <li class="nav-item">
              <a href="javascript:void(0);" data-setting-type="HOTCONFIG" class="acetab nav-link" data-toggle="tab" aria-expanded="true" data-i18n="configOptions.hotConfig"></a>
            </li>
          </ul>
          <div class="tab-content">
            <div class="editor-container col-12">
              <div class="editor-inner-container">
                <div id="PBConfigEditor"></div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- end SETTINGS -->

    <!-- API Logs Editor-->
    <div id="tmplAPILogs" class="hide">
    
      <nav class="navbar navbar-expand-sm justify-content-center">
        <ul class="navbar-nav align-items-center">
          <li class="nav-item editor-actions">
            <i id="APILogsEditorSearch" class="fa fa-search ml-3" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]constantMsgs.search"></i>
            <i id="APILogsDownload" class="fa fa-download ml-3" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]constantMsgs.downloadLogs"></i>
            <i id="APILogsEditorLoading" class="fa fa-spinner fa-spin ml-3 visibility-hidden"></i>
          </li>
        </ul>
      </nav>
      <div class="editor-container col-12">
        <div class="editor-inner-container">
          <div id="APILogsEditor"></div>
        </div>
      </div>
    </div>
    <!-- End API Logs Editor-->

    <footer class="footer">
      <span class="version-container pull-left font-13 lr-no-float" data-toggle="tooltip" data-placement="top" data-i18n="[title]footer.ptVersion">
        <label class="m-l-10">
          <span class="tdbitcoin" data-i18n="footer.pLetter"></span>
          <span class="text-primary" data-i18n="footer.tLetter"></span>
          <span data-i18n="footer.ver"></span>
        </label>
        <span id="apiVersion">--</span>
      </span>
      <span class="float-left hide-phone font-13 lr-no-float">
        <label class="m-l-10" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]settingInfo.market.title;settingInfo.market.label"></label>
        <span id="apiExchange">--</span>
        <span id="apiMarket">--</span>
        <label class="hide-phone time-hdr" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]settingInfo.time.title;settingInfo.time.label"></label>
        <span id="dvCurrentTime">--</span>
        <label class="time-hdr hide-phone" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]settingInfo.utc.title">
          <span class="full-text" data-i18n="settingInfo.utc.labelFullText"></span>
          <span class="short-text" data-i18n="settingInfo.utc.labelShortText"></span>
        </label>
        <span id="dvCurrentUTCTime">--</span>
        <label class="time-hdr hide-phone" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]settingInfo.uptime.title;settingInfo.uptime.label"></label>
        <span id="dvUptime">--</span>
        <span data-toggle="tooltip" data-placement="bottom" class="m-l-10" id="apiCurrency"></span>
        <span data-toggle="tooltip" data-placement="bottom" class="m-l-10 flag-icon language-flag"></span>
      </span>
      <span class="hide-phone footer-link">
        <a href="https://profittrailer.com" target="_blank">
          <span class="full-text" data-i18n="footer.profitTrailer"></span>
          <span class="short-text" data-i18n="footer.pt"></span>
        </a> -
        <a href="https://wiki.profittrailer.com" target="_blank" data-i18n="footer.wiki"></a>
      </span>
      <div class="pull-right text-muted  font-13 lr-no-float">
        <span class="hide-phone">
          <span id="apiSOMContainer">
            <label class="m-l-10" data-toggle="tooltip" data-placement="bottom" id="apiSellOnlyModeLabel" data-i18n="settingInfo.som.label"></label>
            <span id="apiSellOnlyMode" class="badge">--</span>
          </span>
          <label class="m-l-10" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]settingInfo.somo.title;settingInfo.somo.label"></label>
          <span id="apiSellOnlyModeOverride" class="badge">--</span>
          <!-- Config enabled -->
          <label class="m-l-10" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]settingInfo.config.title;settingInfo.config.label"></label>
          <span id="apiConfigEnabled" class="badge">--</span>
          <!-- Password set -->
          <label class="m-l-10" data-toggle="tooltip" data-placement="bottom" data-i18n="[title]settingInfo.password.title;settingInfo.password.label"></label>
          <span id="apiPasswordSet" class="badge">--</span>
        </span>
      </div>
    </footer>
    <!-- Notifications and settings -->
    <div class="side-bar right-bar settings-tab" id="settingsTabContainer">
      <div class="">
        <ul class="nav nav-tabs tabs-bordered nav-justified">
          <li class="nav-item">
            <a href="#heartsBeatsTab" class="nav-link active" data-toggle="tab" aria-expanded="false" data-i18n="settingInfo.heartbeats.label">
            </a>
          </li>
          <li class="nav-item">
            <a href="#settingsTab" class="nav-link" data-toggle="tab" aria-expanded="true" data-i18n="settingInfo.settings.label">
            </a>
          </li>
        </ul>
        <div class="tab-content">

          <!-- Notifications tab -->
          <div class="tab-pane fade show active" id="heartsBeatsTab">
            <div class="text-center">
              <p data-i18n="constantMsgs.noHeartbeats">
              </p>
            </div>
          </div>

          <!-- Settings tab -->
          <div class="tab-pane" id="settingsTab">
            <div class="top-section-btns-container">
              <!-- SOM and SOMO buttons -->
              <div class="row m-t-20 text-center btn-container disabled" id="advConfigTgleContainer" data-toggle="tooltip" data-placement="top"
                data-i18n="[title]settingInfo.noPswrd.title;">
                <div class="col-md text-center">
                  <input data-setting-type="" class="tgl tgl-skewed disabled" type="checkbox" data-val="" value="" name="advConfigSwitch" id="advConfigSwitch"
                  />
                  <label class="tgl-btn" data-tg-off="Adv. Config" data-tg-on="Adv. Config" for="advConfigSwitch"></label>
                </div>
              </div>
              <div class="row m-t-20 text-center btn-container disabled" id="buySellBtnTgleContainer" data-toggle="tooltip" data-placement="top"
                data-i18n="[title]settingInfo.noPswrd.title;">
                <div class="col-md text-center">
                  <input data-setting-type="" class="tgl tgl-skewed tglBS disabled" type="checkbox" data-val="" value="" name="tgl-buy-or-sell-btns"
                    id="tgl-buy-or-sell-btns" />
                  <label class="tgl-btn" data-tg-off="SHOW BUY/SELL Buttons" data-tg-on="HIDE BUY/SELL Buttons" for="tgl-buy-or-sell-btns"></label>
                </div>
              </div>

              <!-- SOMO switcher -->
              <div class="row m-t-20 btn-container disabled" id="somoSwitchContainer" data-toggle="tooltip" data-placement="top"
                data-i18n="[title]settingInfo.noPswrd.title;">
                <label class="control-label m-0 text-nowrap" for="switchSomo" data-i18n="settingInfo.somoOnOff.label"></label>
                <select class="custom-select form-control mr-md-2 disabled" name="" id="switchSomo">
                  <option value="0" data-i18n="settingInfo.somoOnOff.optionOne"></option>
                  <option value="1" data-i18n="settingInfo.somoOnOff.optionTwo"></option>
                  <option value="2" data-i18n="settingInfo.somoOnOff.optionThree"></option>
                </select>
              </div>

              <div class="row m-t-20 btn-container disabled" id="activeConfigSwitchContainer" data-toggle="tooltip" data-placement="top"
                data-i18n="[title]settingInfo.noPswrd.title;">
                <label class="control-label   m-0 text-nowrap" id="switchActiveConfigLabel" for="switchActiveConfig" data-i18n="settingInfo.active"></label>
                <select class="custom-select form-control mr-md-2 disabled" data-setting-type="" name="" id="switchActiveConfig">
	                <#list availableConfigs as configName>
	                  <#assign isSelected = activeConfig == configName>
	                  <option value="${configName}" <#if isSelected> selected="selected"</#if>>${configName}</option>
	                </#list>
                </select>
              </div>
            </div>



            <!-- Logout button -->
            <div class="btns-container">
              <div class="btn-container disabled" data-toggle="tooltip" data-placement="top" data-i18n="[title]settingInfo.noPswrd.title;"
                id="btnLogoutContainer">
                <a class="btn btn-dark link disabled" href="logout">
                  <i class="mdi mdi-logout"></i>
                  <span data-i18n="settingInfo.logout.label"></span>
                </a>
              </div>

              <!-- Stop button -->
              <div class="btn-container disabled" data-toggle="tooltip" data-placement="top" data-i18n="[title]settingInfo.noPswrd.title;"
                id="btnStopContainer">
                <button class="btn btn-dark disabled" data-toggle="tooltip">
                  <i class="mdi mdi-close-circle-outline"></i>
                  <span data-i18n="footer.stopPFTrailer"></span>
                </button>
              </div>
              <!-- Reset button -->
              <div class="btn-container disabled" data-toggle="tooltip" data-placement="top" id="btnResetContainer" data-toggle="tooltip" data-placement="top"
                data-i18n="[title]settingInfo.noPswrd.title;">
                <button class="btn btn-dark disabled testmode btnReset" data-toggle="tooltip">
                  <i class="mdi mdi-restart btnReset"></i>
                  <span class="btnReset" data-i18n="settingInfo.reset"></span>
                </button>
              </div>
              <!-- Setup button -->
              <div class="btn-container disabled" data-toggle="tooltip" data-placement="top" data-i18n="[title]settingInfo.noPswrd.title;"
              id="btnSetUpContainer">
              <a class="btn btn-dark link disabled" href="setup">
                <i class="mdi mdi-cloud-outline"></i>
                <span data-i18n="settingInfo.setup.label"></span>
              </a>
            </div>
              <!-- Change passwords button -->
              <div class="btn-container disabled" data-toggle="tooltip" data-placement="top" data-i18n="[title]settingInfo.noPswrd.title;"
                id="btnChngePswrdContainer">
                <a class="btn btn-dark link disabled" href="changePassword">
                  <i class="mdi mdi-key"></i>
                  <span data-i18n="settingInfo.chngePswrd.label"></span>
                </a>
              </div>

            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- ============================================================== -->
    <!-- End Right content here -->
    <!-- ============================================================== -->
    <script>
      var resizefunc = [];
    </script>
    <!-- Plugins  -->
    <script src="js/vendor/es6-promise.min.js?ver=${version}"></script>
    <script src="js/vendor/es6-promise.auto.min.js?ver=${version}"></script> 
    <script src="js/vendor/axios.min.js?ver=${version}"></script>
    <script src="js/vendor/popper.min.js?ver=${version}"></script>
    <script src="js/vendor/bootstrap.min.js?ver=${version}"></script>
    <script src="js/vendor/detect.min.js?ver=${version}"></script>
    <script src="js/vendor/fastclick.js?ver=${version}"></script>
    <script src="js/vendor/waves.js?ver=${version}"></script>
    <script src="js/vendor/toastr.min.js?ver=${version}"></script>
    <script src="js/vendor/download.js?ver=${version}" type="text/javascript" async></script>
    <script src="js/vendor/skycons.min.js?ver=${version}"></script>
    <script src="js/vendor/jszip.min.js?ver=${version}"></script>
    <script src="js/vendor/toastr.min.js?ver=${version}" async></script>
    <script src="js/vendor/sweetalert.min.js?ver=${version}" async></script>
    <script src="js/vendor/page.js?ver=${version}"></script>
    <script src="js/vendor/chroma.min.js?ver=${version}" type="text/javascript"></script>
    <script src="js/vendor/jquery.slimscroll.js?ver=${version}"></script>
    <script src="js/vendor/jquery.scrollTo.min.js?ver=${version}"></script>
    <script src="js/vendor/jquery.dataTables.min.js?ver=${version}"></script>
    <script src="js/vendor/dataTables.bootstrap4.min.js?ver=${version}"></script>
    <script src="js/vendor/dataTables.buttons.min.js?ver=${version}"></script>
    <script src="js/vendor/dataTables.fixedColumns.min.js?ver=${version}"></script>
    <script src="js/vendor/dataTables.responsive.min.js?ver=${version}"></script>
    <script src="js/vendor/responsive.bootstrap4.min.js?ver=${version}"></script>
    <script src="js/vendor/buttons.bootstrap4.min.js?ver=${version}"></script>
    <script src="js/vendor/buttons.html5.min.js?ver=${version}"></script>
    <script src="js/vendor/jquery.app.js?ver=${version}"></script>
    <script src="js/vendor/jquery.core.js?ver=${version}"></script>
    <script src="js/vendor/timeago/jquery.timeago.js?ver=${version}"></script>
    <script src="js/vendor/ace/src-noconflict/ace--.js?ver=${version}" type="text/javascript" charset="utf-8" defer></script>
    <script src="js/vendor/ace/src-noconflict/theme-chrome.js?ver=${version}" type="text/javascript" charset="utf-8" defer></script>
    <script src="js/vendor/ace/src-noconflict/theme-twilight.js?ver=${version}" type="text/javascript" charset="utf-8" defer></script>
    <script src="js/vendor/ace/src-noconflict/mode-properties.js?ver=${version}" type="text/javascript" charset="utf-8" defer></script>
    <script src="js/vendor/ace/src-noconflict/mode-ptlogs.js?ver=${version}" type="text/javascript" charset="utf-8" defer></script>
    <script src="js/vendor/ace/src-noconflict/mode-text.js?ver=${version}" type="text/javascript" charset="utf-8" defer></script>
    <script src="js/vendor/ace/src-noconflict/ext-searchbox.js?ver=${version}" type="text/javascript" charset="utf-8" defer></script>
    <!--* Custom Javascript *-->
    <script src="js/custom/custom.lib.js?ver=${version}"></script>
    <script src="js/constants.js?ver=${version}"></script>
    <script src="js/helpers/toolTips.js?ver=${version}" async></script>
    <script src="js/helpers/dateTimeHelper.js?ver=${version}"></script>
    <script src="js/helpers/dataTableHelper.js?ver=${version}"></script>
    <script src="js/helpers/routeHelper.js?ver=${version}"></script>
    <script src="js/custom/tableDefs.js?ver=${version}"></script>
    <script src="js/custom/notification.js?ver=${version}"></script>
    <script src="js/helpers/domHelper.js?ver=${version}"></script>
    <script src="js/custom/settings.js?ver=${version}"></script>
    <script src="js/custom/coinMarket.js?ver=${version}"></script>
    <script src="js/custom/apiLogs.js?ver=${version}"></script>
    <script src="js/custom/script.js?ver=${version}"></script>
    <!--* Berti *-->
    <script src="js/custom/configurationEditor.js?ver=${version}"></script>
    <!--*********-->
  </div>
</body>

</html>
